<?php
// autogenerated file 30.09.2013 15:20
// $Id: $
// $Log: $
//
require_once 'EbatNs_FacetType.php';

/**
 * Enumerated type that contains the explanations for a buyer or seller opening a 
 * caseagainst one another. These values are specified in the 
 * <b>DisputeExplanation</b>field of <b>AddDispute</b>, and are returned in 
 * the<b>GetUserDisputes</b> and <b>GetDispute</b> calls. The<b>DisputeReason</b> 
 * value will dictate what <b>DisputeExplanation</b> values that can be 
 * used/returned. 
 *
 * @link http://developer.ebay.com/DevZone/XML/docs/Reference/eBay/types/DisputeExplanationCodeType.html
 *
 * @property string BuyerHasNotResponded
 * @property string BuyerRefusedToPay
 * @property string BuyerNotClearedToPay
 * @property string BuyerReturnedItemForRefund
 * @property string UnableToResolveTerms
 * @property string BuyerNoLongerWantsItem
 * @property string BuyerPurchasingMistake
 * @property string ShipCountryNotSupported
 * @property string ShippingAddressNotConfirmed
 * @property string PaymentMethodNotSupported
 * @property string BuyerNoLongerRegistered
 * @property string OtherExplanation
 * @property string Unspecified
 * @property string UPIAssistance
 * @property string BuyerPaymentNotReceivedOrCleared
 * @property string SellerDoesntShipToCountry
 * @property string BuyerNotPaid
 * @property string UPIAssistanceDisabled
 * @property string SellerRanOutOfStock
 * @property string CustomCode
 */
class DisputeExplanationCodeType extends EbatNs_FacetType
{
	const CodeType_BuyerHasNotResponded = 'BuyerHasNotResponded';
	const CodeType_BuyerRefusedToPay = 'BuyerRefusedToPay';
	const CodeType_BuyerNotClearedToPay = 'BuyerNotClearedToPay';
	const CodeType_BuyerReturnedItemForRefund = 'BuyerReturnedItemForRefund';
	const CodeType_UnableToResolveTerms = 'UnableToResolveTerms';
	const CodeType_BuyerNoLongerWantsItem = 'BuyerNoLongerWantsItem';
	const CodeType_BuyerPurchasingMistake = 'BuyerPurchasingMistake';
	const CodeType_ShipCountryNotSupported = 'ShipCountryNotSupported';
	const CodeType_ShippingAddressNotConfirmed = 'ShippingAddressNotConfirmed';
	const CodeType_PaymentMethodNotSupported = 'PaymentMethodNotSupported';
	const CodeType_BuyerNoLongerRegistered = 'BuyerNoLongerRegistered';
	const CodeType_OtherExplanation = 'OtherExplanation';
	const CodeType_Unspecified = 'Unspecified';
	const CodeType_UPIAssistance = 'UPIAssistance';
	const CodeType_BuyerPaymentNotReceivedOrCleared = 'BuyerPaymentNotReceivedOrCleared';
	const CodeType_SellerDoesntShipToCountry = 'SellerDoesntShipToCountry';
	const CodeType_BuyerNotPaid = 'BuyerNotPaid';
	const CodeType_UPIAssistanceDisabled = 'UPIAssistanceDisabled';
	const CodeType_SellerRanOutOfStock = 'SellerRanOutOfStock';
	const CodeType_CustomCode = 'CustomCode';

	/**
	 * @return 
	 */
	function __construct()
	{
		parent::__construct('DisputeExplanationCodeType', 'urn:ebay:apis:eBLBaseComponents');

	}
}

$Facet_DisputeExplanationCodeType = new DisputeExplanationCodeType();

?>
