<?php
// autogenerated file 30.09.2013 15:20
// $Id: $
// $Log: $
//
require_once 'EbatNs_FacetType.php';

/**
 * This enumerated type contains the list of values that can be used by the seller 
 * to setthe duration (number of days or Good 'Til Cancelled) of a listing. 
 * <br><br>Listing durations available to the seller may vary based on the site, 
 * category, listing type, and the seller's selling profile, so it is a best 
 * practice for the seller to call <b>GetCategoryFeatures</b> with 
 * <b>ListingDurations</b> included as a <b>FeatureID</b> value in the call 
 * request. The <b>GetCategoryFeatures</b> response will include the complete list 
 * of listing duration values that can be used for the various listing types. 
 *
 * @link http://developer.ebay.com/DevZone/XML/docs/Reference/eBay/types/ListingDurationCodeType.html
 *
 * @property string Days_1
 * @property string Days_3
 * @property string Days_5
 * @property string Days_7
 * @property string Days_10
 * @property string Days_14
 * @property string Days_21
 * @property string Days_30
 * @property string Days_60
 * @property string Days_90
 * @property string Days_120
 * @property string GTC
 * @property string CustomCode
 */
class ListingDurationCodeType extends EbatNs_FacetType
{
	const CodeType_Days_1 = 'Days_1';
	const CodeType_Days_3 = 'Days_3';
	const CodeType_Days_5 = 'Days_5';
	const CodeType_Days_7 = 'Days_7';
	const CodeType_Days_10 = 'Days_10';
	const CodeType_Days_14 = 'Days_14';
	const CodeType_Days_21 = 'Days_21';
	const CodeType_Days_30 = 'Days_30';
	const CodeType_Days_60 = 'Days_60';
	const CodeType_Days_90 = 'Days_90';
	const CodeType_Days_120 = 'Days_120';
	const CodeType_GTC = 'GTC';
	const CodeType_CustomCode = 'CustomCode';

	/**
	 * @return 
	 */
	function __construct()
	{
		parent::__construct('ListingDurationCodeType', 'urn:ebay:apis:eBLBaseComponents');

	}
}

$Facet_ListingDurationCodeType = new ListingDurationCodeType();

?>
