<?php
// autogenerated file 30.09.2013 15:20
// $Id: $
// $Log: $
//
//
require_once 'EbatNs_ComplexType.php';
require_once 'ListingRecommendationType.php';

/**
 * Type defining the <b>ListingRecommendations</b> container that isconditionally 
 * returned in all Add/Revise/Relist/Verify API calls. A 
 * <b>ListingRecommendations</b> container consists of one ormore 
 * <b>Recommendation</b> containers, and each<b>Recommendation</b> container 
 * provides a message to the seller on how alisting can be improved or brought up 
 * to standard in regards to recommendedItem Specifics, Picture quality 
 * requirements, Top-Rated seller/listing requirements,and/or a recommendation to 
 * use a product code (such as a UPC or ISBN value) to create a higher-quality 
 * listing.<br><br>The <b>ListingRecommendations</b> container is only returned if 
 * the <b>IncludeRecommendations</b> flag is included and set to 'true' in the API 
 * call request. 
 *
 * @link http://developer.ebay.com/DevZone/XML/docs/Reference/eBay/types/ListingRecommendationsType.html
 *
 */
class ListingRecommendationsType extends EbatNs_ComplexType
{
	/**
	 * @var ListingRecommendationType
	 */
	protected $Recommendation;

	/**
	 * @return ListingRecommendationType
	 * @param integer $index 
	 */
	function getRecommendation($index = null)
	{
		if ($index !== null) {
			return $this->Recommendation[$index];
		} else {
			return $this->Recommendation;
		}
	}
	/**
	 * @return void
	 * @param ListingRecommendationType $value 
	 * @param  $index 
	 */
	function setRecommendation($value, $index = null)
	{
		if ($index !== null) {
			$this->Recommendation[$index] = $value;
		} else {
			$this->Recommendation = $value;
		}
	}
	/**
	 * @return void
	 * @param ListingRecommendationType $value 
	 */
	function addRecommendation($value)
	{
		$this->Recommendation[] = $value;
	}
	/**
	 * @return 
	 */
	function __construct()
	{
		parent::__construct('ListingRecommendationsType', 'urn:ebay:apis:eBLBaseComponents');
		if (!isset(self::$_elements[__CLASS__]))
				self::$_elements[__CLASS__] = array_merge(self::$_elements[get_parent_class()],
				array(
					'Recommendation' =>
					array(
						'required' => false,
						'type' => 'ListingRecommendationType',
						'nsURI' => 'urn:ebay:apis:eBLBaseComponents',
						'array' => true,
						'cardinality' => '0..*'
					)
				));
	}
}
?>
