<?php
// autogenerated file 30.09.2013 15:20
// $Id: $
// $Log: $
//
//
require_once 'EbatNs_ComplexType.php';

/**
 * Complex type defining the <b>PickupInStoreDetails</b> container, that is used in 
 * Add/Revise/Relist calls to enable the listing for In-Store Pickup via the 
 * <b>EligibleForPickupInStore</b> boolean field. <br/><br/>In a future release, a 
 * fulfillment duration element will be added to this type and will be used to 
 * determine when the item will be ready for pickup in a store (immediately, two 
 * hours after sale, two days after sale, etc.).<br/><br/><span 
 * class="tablenote"><strong>Note:</strong> At this time, the In-Store Pickup 
 * feature is generally only available to large retail merchants, and can only be 
 * applied to multi-quantity, fixed-price listings. Sellers who are eligible for 
 * the In-Store Pickup feature can start listing items in Production with the 
 * In-Store Pickup option beginning in late September 2013. </span> 
 *
 * @link http://developer.ebay.com/DevZone/XML/docs/Reference/eBay/types/PickupInStoreDetailsType.html
 *
 */
class PickupInStoreDetailsType extends EbatNs_ComplexType
{
	/**
	 * @var boolean
	 */
	protected $EligibleForPickupInStore;

	/**
	 * @return boolean
	 */
	function getEligibleForPickupInStore()
	{
		return $this->EligibleForPickupInStore;
	}
	/**
	 * @return void
	 * @param boolean $value 
	 */
	function setEligibleForPickupInStore($value)
	{
		$this->EligibleForPickupInStore = $value;
	}
	/**
	 * @return 
	 */
	function __construct()
	{
		parent::__construct('PickupInStoreDetailsType', 'urn:ebay:apis:eBLBaseComponents');
		if (!isset(self::$_elements[__CLASS__]))
				self::$_elements[__CLASS__] = array_merge(self::$_elements[get_parent_class()],
				array(
					'EligibleForPickupInStore' =>
					array(
						'required' => false,
						'type' => 'boolean',
						'nsURI' => 'http://www.w3.org/2001/XMLSchema',
						'array' => false,
						'cardinality' => '0..1'
					)
				));
	}
}
?>
