<?php
// autogenerated file 30.09.2013 15:20
// $Id: $
// $Log: $
//
//
require_once 'EbatNs_ComplexType.php';
require_once 'PickupStatusCodeType.php';

/**
 * Type defining the <strong>PickupMethodSelected</strong> container, which 
 * consists of details related to the selected In-Store pickup method, including 
 * the pickup method, the merchant's store ID, the status of the In-Store pickup, 
 * and the pickup reference code (if provided by merchant).<br/><br/><span 
 * class="tablenote"><strong>Note:</strong> At this time, the In-Store Pickup 
 * feature is generally only available to large retail merchants, and can only be 
 * applied to multi-quantity, fixed-price listings. Sellers who are eligible for 
 * the In-Store Pickup feature can start listing items in Production with the 
 * In-Store Pickup option beginning in late September 2013. </span> 
 *
 * @link http://developer.ebay.com/DevZone/XML/docs/Reference/eBay/types/PickupMethodSelectedType.html
 *
 */
class PickupMethodSelectedType extends EbatNs_ComplexType
{
	/**
	 * @var token
	 */
	protected $PickupMethod;
	/**
	 * @var string
	 */
	protected $PickupStoreID;
	/**
	 * @var PickupStatusCodeType
	 */
	protected $PickupStatus;
	/**
	 * @var string
	 */
	protected $MerchantPickupCode;

	/**
	 * @return token
	 */
	function getPickupMethod()
	{
		return $this->PickupMethod;
	}
	/**
	 * @return void
	 * @param token $value 
	 */
	function setPickupMethod($value)
	{
		$this->PickupMethod = $value;
	}
	/**
	 * @return string
	 */
	function getPickupStoreID()
	{
		return $this->PickupStoreID;
	}
	/**
	 * @return void
	 * @param string $value 
	 */
	function setPickupStoreID($value)
	{
		$this->PickupStoreID = $value;
	}
	/**
	 * @return PickupStatusCodeType
	 */
	function getPickupStatus()
	{
		return $this->PickupStatus;
	}
	/**
	 * @return void
	 * @param PickupStatusCodeType $value 
	 */
	function setPickupStatus($value)
	{
		$this->PickupStatus = $value;
	}
	/**
	 * @return string
	 */
	function getMerchantPickupCode()
	{
		return $this->MerchantPickupCode;
	}
	/**
	 * @return void
	 * @param string $value 
	 */
	function setMerchantPickupCode($value)
	{
		$this->MerchantPickupCode = $value;
	}
	/**
	 * @return 
	 */
	function __construct()
	{
		parent::__construct('PickupMethodSelectedType', 'urn:ebay:apis:eBLBaseComponents');
		if (!isset(self::$_elements[__CLASS__]))
				self::$_elements[__CLASS__] = array_merge(self::$_elements[get_parent_class()],
				array(
					'PickupMethod' =>
					array(
						'required' => false,
						'type' => 'token',
						'nsURI' => 'http://www.w3.org/2001/XMLSchema',
						'array' => false,
						'cardinality' => '0..1'
					),
					'PickupStoreID' =>
					array(
						'required' => false,
						'type' => 'string',
						'nsURI' => 'http://www.w3.org/2001/XMLSchema',
						'array' => false,
						'cardinality' => '0..1'
					),
					'PickupStatus' =>
					array(
						'required' => false,
						'type' => 'PickupStatusCodeType',
						'nsURI' => 'urn:ebay:apis:eBLBaseComponents',
						'array' => false,
						'cardinality' => '0..1'
					),
					'MerchantPickupCode' =>
					array(
						'required' => false,
						'type' => 'string',
						'nsURI' => 'http://www.w3.org/2001/XMLSchema',
						'array' => false,
						'cardinality' => '0..1'
					)
				));
	}
}
?>
