<?php
// autogenerated file 30.09.2013 15:20
// $Id: $
// $Log: $
//
require_once 'EbatNs_FacetType.php';

/**
 * Simple type defining all possible states for an In-Store Pickup order. The value 
 * of the <strong>PickupStatus</strong> field (returned under the 
 * <strong>PickupMethodSelected</strong> container) can change during the lifecycle 
 * of the order based on the notifications that a merchant sends to eBay through 
 * the <strong>Inbound Notifications API</strong>. <br/><br/><span 
 * class="tablenote"><strong>Note:</strong> At this time, the In-Store Pickup 
 * feature is generally only available to large retail merchants, and can only be 
 * applied to multi-quantity, fixed-price listings. Sellers who are eligible for 
 * the In-Store Pickup feature can start listing items in Production with the 
 * In-Store Pickup option beginning in late September 2013. </span> 
 *
 * @link http://developer.ebay.com/DevZone/XML/docs/Reference/eBay/types/PickupStatusCodeType.html
 *
 * @property string Invalid
 * @property string NotApplicable
 * @property string PendingMerchantConfirmation
 * @property string ReadyToPickup
 * @property string Pickedup
 * @property string PickupCancelledOutOfStock
 * @property string PickupCancelledBuyerRejected
 * @property string PickupCancelledBuyerNoShow
 * @property string CustomCode
 */
class PickupStatusCodeType extends EbatNs_FacetType
{
	const CodeType_Invalid = 'Invalid';
	const CodeType_NotApplicable = 'NotApplicable';
	const CodeType_PendingMerchantConfirmation = 'PendingMerchantConfirmation';
	const CodeType_ReadyToPickup = 'ReadyToPickup';
	const CodeType_Pickedup = 'Pickedup';
	const CodeType_PickupCancelledOutOfStock = 'PickupCancelledOutOfStock';
	const CodeType_PickupCancelledBuyerRejected = 'PickupCancelledBuyerRejected';
	const CodeType_PickupCancelledBuyerNoShow = 'PickupCancelledBuyerNoShow';
	const CodeType_CustomCode = 'CustomCode';

	/**
	 * @return 
	 */
	function __construct()
	{
		parent::__construct('PickupStatusCodeType', 'urn:ebay:apis:eBLBaseComponents');

	}
}

$Facet_PickupStatusCodeType = new PickupStatusCodeType();

?>
