<?php
// autogenerated file 30.09.2013 15:20
// $Id: $
// $Log: $
//
require_once 'EbatNs_FacetType.php';

/**
 * A shipping service used to ship an item. Applications should not depend on the 
 * completeness of <strong>ShippingServiceCodeType</strong>. Instead, applications 
 * should call GeteBayDetails, with a <strong>DetailName</strong> value of 
 * <code>ShippingServiceDetails</code>, to return the complete list of shipping 
 * services. To check for the shipping services available for a specific site, 
 * specify the site ID in the header.<br/><br/><span 
 * class="tablenote"><strong>Note:</strong> It is possible that some of the 
 * returned shipping services can no longer be used in the AddItem family of calls. 
 * To distinguish between the valid and invalid shipping services, look for the 
 * <strong>ValidForSellingFlow</strong> flag in the 
 * <strong>ShippingServiceDetails</strong> node. If this flag is not returned for a 
 * specific shipping service, that shipping service can no longer be used in the 
 * AddItem family of calls.</span> 
 *
 * @link http://developer.ebay.com/DevZone/XML/docs/Reference/eBay/types/ShippingServiceCodeType.html
 *
 * @property string UPSGround
 * @property string UPS3rdDay
 * @property string UPS2ndDay
 * @property string UPSNextDay
 * @property string USPSPriority
 * @property string USPSParcel
 * @property string USPSStandardPost
 * @property string USPSMedia
 * @property string USPSFirstClass
 * @property string ShippingMethodStandard
 * @property string ShippingMethodExpress
 * @property string USPSExpressMail
 * @property string UPSNextDayAir
 * @property string UPS2DayAirAM
 * @property string USPSExpressMailFlatRateEnvelope
 * @property string USPSExpressMailPaddedFlatRateEnvelope
 * @property string USPSPriorityMailFlatRateEnvelope
 * @property string USPSPriorityMailSmallFlatRateBox
 * @property string USPSPriorityMailFlatRateBox
 * @property string USPSPriorityMailLargeFlatRateBox
 * @property string USPSPriorityMailPaddedFlatRateEnvelope
 * @property string USPSPriorityMailLegalFlatRateEnvelope
 * @property string USPSExpressMailLegalFlatRateEnvelope
 * @property string USPSPriorityMailRegionalBoxA
 * @property string USPSPriorityMailRegionalBoxB
 * @property string USPSPriorityMailRegionalBoxC
 * @property string USPSExpressMailFlatRateBox
 * @property string Other
 * @property string LocalDelivery
 * @property string NotSelected
 * @property string InternationalNotSelected
 * @property string StandardInternational
 * @property string ExpeditedInternational
 * @property string USPSGlobalExpress
 * @property string USPSGlobalPriority
 * @property string USPSEconomyParcel
 * @property string USPSEconomyLetter
 * @property string USPSAirmailLetter
 * @property string USPSAirmailParcel
 * @property string UPSWorldWideExpressPlus
 * @property string UPSWorldWideExpress
 * @property string UPSWorldWideExpedited
 * @property string UPSWorldwideSaver
 * @property string UPSStandardToCanada
 * @property string USPSExpressMailInternationalFlatRateEnvelope
 * @property string USPSExpressMailInternationalPaddedFlatRateEnvelope
 * @property string USPSPriorityMailInternationalFlatRateEnvelope
 * @property string USPSPriorityMailInternationalSmallFlatRateBox
 * @property string USPSPriorityMailInternationalFlatRateBox
 * @property string USPSPriorityMailInternationalLargeFlatRateBox
 * @property string USPSPriorityMailInternationalPaddedFlatRateEnvelope
 * @property string USPSPriorityMailInternationalLegalFlatRateEnvelope
 * @property string USPSExpressMailInternationalLegalFlatRateEnvelope
 * @property string USPSExpressMailInternationalFlatRateBox
 * @property string OtherInternational
 * @property string AT_StandardDispatch
 * @property string AT_InsuredDispatch
 * @property string AT_Writing
 * @property string AT_COD
 * @property string AT_ExpressOrCourier
 * @property string AT_InsuredExpressOrCourier
 * @property string AT_SpecialDispatch
 * @property string AT_InsuredSpecialDispatch
 * @property string AT_Sonstige
 * @property string AT_UnversicherterVersandInternational
 * @property string AT_VersicherterVersandInternational
 * @property string AT_SonstigerVersandInternational
 * @property string AT_UnversicherterExpressVersandInternational
 * @property string AT_VersicherterExpressVersandInternational
 * @property string AT_EconomyDeliveryFromAbroad
 * @property string AT_StandardDeliveryFromAbroad
 * @property string AT_ExpressDeliveryFromAbroad
 * @property string AT_TrackedDeliveryFromAbroad
 * @property string AU_Regular
 * @property string AU_Express
 * @property string AU_Registered
 * @property string AU_Courier
 * @property string AU_Other
 * @property string AU_EMSInternationalCourierParcels
 * @property string AU_EMSInternationalCourierDocuments
 * @property string AU_ExpressPostInternationalDocuments
 * @property string AU_AirMailInternational
 * @property string AU_EconomyAirInternational
 * @property string AU_SeaMailInternational
 * @property string AU_StandardInternational
 * @property string AU_ExpeditedInternational
 * @property string AU_OtherInternational
 * @property string AU_AusPostRegisteredPostInternationalPaddedBag1kg
 * @property string AU_AusPostRegisteredPostInternationalPaddedBag500g
 * @property string AU_AusPostRegisteredPostInternationalParcel
 * @property string AU_ExpeditedDeliveryFromOutsideAU
 * @property string AU_EconomyDeliveryFromOutsideAU
 * @property string AU_StandardDeliveryFromOutsideAU
 * @property string AU_AustralianAirExpressMetro15kg
 * @property string AU_AustralianAirExpressFlatRate5kg
 * @property string AU_AustralianAirExpressFlatRate3kg
 * @property string AU_AustralianAirExpressFlatRate1kg
 * @property string AU_ExpressDelivery
 * @property string AU_StandardDelivery
 * @property string AU_eBayAusPost3kgFlatRateSatchel
 * @property string AU_eBayAusPost500gFlatRateSatchel
 * @property string AU_Freight
 * @property string BEFR_StandardDelivery
 * @property string BEFR_PriorityDelivery
 * @property string BEFR_ParcelPost
 * @property string BEFR_RegisteredMail
 * @property string BEFR_Other
 * @property string BEFR_DePostInternational
 * @property string BEFR_UPSInternational
 * @property string BEFR_FedExInternational
 * @property string BEFR_DHLInternational
 * @property string BEFR_TPGPostTNTInternational
 * @property string BEFR_StandardInternational
 * @property string BEFR_ExpeditedInternational
 * @property string BEFR_OtherInternational
 * @property string BEFR_LaPosteInternational
 * @property string BEFR_LaPosteStandardShipping
 * @property string BEFR_LaPosteCertifiedShipping
 * @property string BEFR_LaPosteTaxipostLLS
 * @property string BEFR_LaPosteTaxipost24h
 * @property string BEFR_LaPosteTaxipostSecur
 * @property string BEFR_PostInternationalStandard
 * @property string BEFR_PostInternationalRegistered
 * @property string BEFR_TNTInternational
 * @property string BEFR_EconomyDeliveryFromAbroad
 * @property string BEFR_StandardDeliveryFromAbroad
 * @property string BEFR_ExpressDeliveryFromAbroad
 * @property string BEFR_TrackedDeliveryFromAbroad
 * @property string BENL_StandardDelivery
 * @property string BENL_PriorityDelivery
 * @property string BENL_ParcelPost
 * @property string BENL_RegisteredMail
 * @property string BENL_Other
 * @property string BENL_DePostInternational
 * @property string BENL_UPSInternational
 * @property string BENL_FedExInternational
 * @property string BENL_DHLInternational
 * @property string BENL_TPGPostTNTInternational
 * @property string BENL_StandardInternational
 * @property string BENL_ExpeditedInternational
 * @property string BENL_OtherInternational
 * @property string BENL_LaPosteInternational
 * @property string BENL_DePostStandardShipping
 * @property string BENL_DePostCertifiedShipping
 * @property string BENL_DePostTaxipostLLS
 * @property string BENL_DePostTaxipost24h
 * @property string BENL_DePostTaxipostSecur
 * @property string BENL_OtherShippingMethods
 * @property string BENL_PostInternationalStandard
 * @property string BENL_PostInternationalRegistered
 * @property string BENL_TNTInternational
 * @property string BENL_EconomyDeliveryFromAbroad
 * @property string BENL_StandardDeliveryFromAbroad
 * @property string BENL_ExpressDeliveryFromAbroad
 * @property string BENL_TrackedDeliveryFromAbroad
 * @property string CA_StandardDelivery
 * @property string CA_ExpeditedDelivery
 * @property string CA_PostLettermail
 * @property string CA_PostRegularParcel
 * @property string CA_PostExpeditedParcel
 * @property string CA_PostXpresspost
 * @property string CA_PostPriorityCourier
 * @property string CanadaPostExpeditedFlatRateBox
 * @property string CA_PostExpeditedFlatRateBox
 * @property string CA_StandardInternational
 * @property string CA_ExpeditedInternational
 * @property string CA_OtherInternational
 * @property string CA_PostExpeditedParcelUSA
 * @property string CA_PostSmallPacketsUSA
 * @property string CA_PostXpresspostUSA
 * @property string CA_PostXpresspostInternational
 * @property string CA_PostInternationalParcelSurface
 * @property string CA_PostInternationalParcelAir
 * @property string CA_SmallPacketsInternational
 * @property string CA_PurolatorInternational
 * @property string CA_PostSmallPacketsUSAGround
 * @property string CA_PostSmallPacketsUSAAir
 * @property string CA_SmallPacketsInternationalGround
 * @property string CA_SmallPacketsInternationalAir
 * @property string CA_PostUSALetterPost
 * @property string CA_PostInternationalLetterPost
 * @property string CA_PostExpeditedFlatRateBoxUSA
 * @property string CA_UPSExpressCanada
 * @property string CA_UPSExpressSaverCanada
 * @property string CA_UPSExpeditedCanada
 * @property string CA_UPSStandardCanada
 * @property string CA_UPSExpressUnitedStates
 * @property string CA_UPSExpeditedUnitedStates
 * @property string CA_UPS3DaySelectUnitedStates
 * @property string CA_UPSStandardUnitedStates
 * @property string CA_UPSWorldWideExpress
 * @property string CA_UPSWorldWideExpedited
 * @property string CA_PriorityWorldwide
 * @property string CanadaPostExpeditedFlatRateBoxUSA
 * @property string CA_PostTrackedPacketsUSA
 * @property string CA_PostTrackedPacketsInternational
 * @property string CA_Freight
 * @property string CH_StandardDispatchAPost
 * @property string CH_StandardDispatchBPost
 * @property string CH_InsuredDispatch
 * @property string CH_Writing
 * @property string CH_COD
 * @property string CH_ExpressOrCourier
 * @property string CH_InsuredExpressOrCourier
 * @property string CH_SpecialDispatch
 * @property string CH_InsuredSpecialDispatch
 * @property string CH_Sonstige
 * @property string CH_SonstigerVersandInternational
 * @property string CH_EconomySendungenInternational
 * @property string CH_PrioritySendungenInternational
 * @property string CH_UrgentSendungenInternational
 * @property string CH_EconomyDeliveryFromAbroad
 * @property string CH_StandardDeliveryFromAbroad
 * @property string CH_ExpressDeliveryFromAbroad
 * @property string CH_TrackedDeliveryFromAbroad
 * @property string CN_PersonalDelivery
 * @property string CN_RegularPackage
 * @property string CN_DeliveryCompanyExpress
 * @property string CN_PostOfficeExpress
 * @property string CN_Others
 * @property string CN_FastPostOffice
 * @property string CN_ExpressDeliverySameCity
 * @property string CN_ExpressDeliveryOtherCities
 * @property string CN_StandardInternational
 * @property string CN_ExpeditedInternational
 * @property string CN_OtherInternational
 * @property string CN_CODInternational
 * @property string CN_StandardMailingInternational
 * @property string CN_RegularLogisticsInternational
 * @property string CN_EMSInternational
 * @property string CN_OthersInternational
 * @property string DE_StandardDispatch
 * @property string DE_InsuredDispatch
 * @property string DE_Writing
 * @property string DE_COD
 * @property string DE_ExpressOrCourier
 * @property string DE_InsuredExpressOrCourier
 * @property string DE_SpecialDispatch
 * @property string DE_InsuredSpecialDispatch
 * @property string DE_UnversicherterVersand
 * @property string DE_DeutschePostBrief
 * @property string DE_eBayDHLPaket24x7
 * @property string DE_DHLPostpaket
 * @property string DE_DHLPackchen
 * @property string DE_DeutschePostWarensendung
 * @property string DE_DeutschePostBuchersendung
 * @property string DE_HermesPaketUnversichert
 * @property string DE_HermesPaketVersichert
 * @property string DE_IloxxTransportXXL
 * @property string DE_IloxxUbernachtExpress
 * @property string DE_IloxxStandard
 * @property string DE_Sonstige
 * @property string DE_UnversicherterVersandInternational
 * @property string DE_VersicherterVersandInternational
 * @property string DE_DHLPostpaketInternational
 * @property string DE_DHLPackchenInternational
 * @property string DE_SonstigerVersandInternational
 * @property string DE_UnversicherterExpressVersandInternational
 * @property string DE_VersicherterExpressVersandInternational
 * @property string DE_DeutschePostBriefLandInternational
 * @property string DE_DeutschePostBriefLuftInternational
 * @property string DE_IloxxEuropaInternational
 * @property string DE_IloxxWorldWideInternational
 * @property string DE_Paket
 * @property string DE_Express
 * @property string DE_DHLPaket
 * @property string DE_DPBuecherWarensendung
 * @property string DE_HermesPaket
 * @property string DE_IloxxTransport
 * @property string DE_SonstigeDomestic
 * @property string DE_Einschreiben
 * @property string DE_Nachname
 * @property string DE_SpecialDelivery
 * @property string DE_UPS
 * @property string DE_DPD
 * @property string DE_GLS
 * @property string DE_PaketInternational
 * @property string DE_DHLPaketInternational
 * @property string DE_DHLPaketIntlExpress
 * @property string DE_SonstigeInternational
 * @property string DE_ExpressInternational
 * @property string DE_DPBriefInternational
 * @property string DE_IloxxTransportInternational
 * @property string DE_HermesPaketInternational
 * @property string DE_UPSInternational
 * @property string DE_DPDInternational
 * @property string DE_GLSInternational
 * @property string DE_eBayHermesPaketShop2ShopKaeufer
 * @property string DE_HermesPaketShop2ShopKaeufer
 * @property string DE_eBayHermesPaketShop2Shop
 * @property string DE_HermesPaketShop2Shop
 * @property string DE_HermesPaketSperrgut
 * @property string DE_eBayHermesPaketSperrgutShop2Shop
 * @property string DE_DHLPaeckchenPackstation
 * @property string DE_DHLPaketPackstation
 * @property string DE_eBayDHLPaeckchen
 * @property string DE_DHLStarPaeckchen
 * @property string DE_TrackedDeliveryFromAbroad
 * @property string ES_CartasNacionalesHasta20
 * @property string ES_CartasNacionalesDeMas20
 * @property string ES_CartasInternacionalesHasta20
 * @property string ES_CartasInternacionalesDeMas20
 * @property string ES_PaqueteAzulHasta2kg
 * @property string ES_PaqueteAzulDeMas2kg
 * @property string ES_PaqueteInternacionalEconomico
 * @property string ES_Urgente
 * @property string ES_Otros
 * @property string ES_StandardInternational
 * @property string ES_ExpeditedInternational
 * @property string ES_OtherInternational
 * @property string ES_CartasPostalInternational
 * @property string ES_EmsPostalExpressInternational
 * @property string ES_EconomyPacketInternational
 * @property string ES_EconomyDeliveryFromAbroad
 * @property string ES_StandardDeliveryFromAbroad
 * @property string ES_ExpressDeliveryFromAbroad
 * @property string ES_TrackedDeliveryFromAbroad
 * @property string ES_ENTREGA_KIALA_8KG
 * @property string FR_ChronoposteInternationalClassic
 * @property string FR_ColiposteColissimoDirect
 * @property string FR_DHLExpressEuropack
 * @property string FR_UPSStandard
 * @property string FR_PostOfficeLetter
 * @property string FR_PostOfficeLetterFollowed
 * @property string FR_PostOfficeLetterRecommended
 * @property string FR_ColiposteColissimo
 * @property string FR_ColiposteColissimoRecommended
 * @property string FR_UPSStandardAgainstRefund
 * @property string FR_Autre
 * @property string FR_Ecopli
 * @property string FR_Colieco
 * @property string FR_AuteModeDenvoiDeColis
 * @property string FR_RemiseEnMainPropre
 * @property string FR_StandardInternational
 * @property string FR_ExpeditedInternational
 * @property string FR_OtherInternational
 * @property string FR_LaPosteInternationalPriorityCourier
 * @property string FR_LaPosteInternationalEconomyCourier
 * @property string FR_LaPosteColissimoInternational
 * @property string FR_LaPosteColisEconomiqueInternational
 * @property string FR_LaPosteColissimoEmballageInternational
 * @property string FR_ChronopostClassicInternational
 * @property string FR_ChronopostPremiumInternational
 * @property string FR_UPSStandardInternational
 * @property string FR_UPSExpressInternational
 * @property string FR_DHLInternational
 * @property string FR_LaPosteLetterMax
 * @property string FR_KIALA_DELIVERY
 * @property string FR_TrackedDeliveryFromAbroad
 * @property string IN_Regular
 * @property string IN_Express
 * @property string IN_NationalCOD
 * @property string IN_Courier
 * @property string IN_LocalCOD
 * @property string IN_StandardInternational
 * @property string IN_ExpeditedInternational
 * @property string IN_OtherInternational
 * @property string IN_FlatRateCOD
 * @property string IN_BuyerPicksUpAndPays
 * @property string IT_RegularMail
 * @property string IT_PriorityMail
 * @property string IT_MailRegisteredLetter
 * @property string IT_MailRegisteredLetterWithMark
 * @property string IT_InsuredMail
 * @property string IT_QuickMail
 * @property string IT_RegularPackage
 * @property string IT_QuickPackage1
 * @property string IT_QuickPackage3
 * @property string IT_ExpressCourier
 * @property string IT_ExpressPackageMaxi
 * @property string IT_StandardInternational
 * @property string IT_ExpeditedInternational
 * @property string IT_OtherInternational
 * @property string IT_TrackedDeliveryFromAbroad
 * @property string NL_StandardDelivery
 * @property string NL_ParcelPost
 * @property string NL_RegisteredMail
 * @property string NL_Other
 * @property string NL_TPGPostTNTInternational
 * @property string NL_UPSInternational
 * @property string NL_FedExInternational
 * @property string NL_DHLInternational
 * @property string NL_DPDGBRInternational
 * @property string NL_GLSBusinessInternational
 * @property string NL_StandardInternational
 * @property string NL_ExpeditedInternational
 * @property string NL_OtherInternational
 * @property string NL_EconomyDeliveryFromAbroad
 * @property string NL_StandardDeliveryFromAbroad
 * @property string NL_ExpressDeliveryFromAbroad
 * @property string NL_TrackedDeliveryFromAbroad
 * @property string TW_RegisteredMail
 * @property string TW_UnregisteredMail
 * @property string TW_COD
 * @property string TW_DwellingMatchPost
 * @property string TW_DwellingMatchCOD
 * @property string TW_SelfPickup
 * @property string TW_ParcelPost
 * @property string TW_ExpressMail
 * @property string TW_Other
 * @property string TW_CPInternationalLetterPost
 * @property string TW_CPInternationalParcelPost
 * @property string TW_CPInternationalRegisteredLetterPost
 * @property string TW_CPInternationalRegisteredParcelPost
 * @property string TW_CPInternationalEMS
 * @property string TW_CPInternationalOceanShippingParcel
 * @property string TW_FedExInternationalPriority
 * @property string TW_FedExInternationalEconomy
 * @property string TW_UPSWorldwideExpedited
 * @property string TW_UPSWorldwideExpress
 * @property string TW_UPSWorldwideExpressPlus
 * @property string TW_OtherInternational
 * @property string UK_RoyalMailFirstClassStandard
 * @property string UK_RoyalMailSecondClassStandard
 * @property string UK_RoyalMailFirstClassRecorded
 * @property string UK_RoyalMailSecondClassRecorded
 * @property string UK_RoyalMailSpecialDelivery
 * @property string UK_RoyalMailStandardParcel
 * @property string UK_Parcelforce24
 * @property string UK_Parcelforce48
 * @property string UK_OtherCourier
 * @property string UK_myHermesDoorToDoorService
 * @property string UK_CollectDropAtStoreDeliveryToDoor
 * @property string UK_SellersStandardRate
 * @property string UK_CollectInPerson
 * @property string UK_SellersStandardInternationalRate
 * @property string UK_RoyalMailAirmailInternational
 * @property string UK_RoyalMailAirsureInternational
 * @property string UK_RoyalMailSurfaceMailInternational
 * @property string UK_RoyalMailInternationalSignedFor
 * @property string UK_RoyalMailHMForcesMailInternational
 * @property string UK_ParcelForceInternationalDatapost
 * @property string UK_ParcelForceIreland24International
 * @property string UK_ParcelForceEuro48International
 * @property string UK_ParcelForceInternationalScheduled
 * @property string UK_OtherCourierOrDeliveryInternational
 * @property string UK_CollectInPersonInternational
 * @property string UK_ParcelForceIntlExpress
 * @property string UK_ParcelForceIntlValue
 * @property string UK_ParcelForceIntlEconomy
 * @property string UK_TrackedDeliveryFromAbroad
 * @property string UK_IntlTrackedPostage
 * @property string IE_SellersStandardRate
 * @property string IE_FirstClassLetterService
 * @property string IE_SwiftPostNational
 * @property string IE_RegisteredPost
 * @property string IE_EMSSDSCourier
 * @property string IE_EconomySDSCourier
 * @property string IE_OtherCourier
 * @property string IE_CollectionInPerson
 * @property string IE_SellersStandardRateInternational
 * @property string IE_InternationalEconomyService
 * @property string IE_InternationalPriorityService
 * @property string IE_SwiftPostExpressInternational
 * @property string IE_SwiftPostInternational
 * @property string IE_EMSSDSCourierInternational
 * @property string IE_EconomySDSCourierInternational
 * @property string IE_OtherCourierInternational
 * @property string IE_CollectionInPersonInternational
 * @property string IE_EconomyDeliveryFromAbroad
 * @property string IE_StandardDeliveryFromAbroad
 * @property string IE_ExpressDeliveryFromAbroad
 * @property string IE_TrackedDeliveryFromAbroad
 * @property string PL_DomesticRegular
 * @property string PL_DomesticSpecial
 * @property string PL_EconomyDeliveryFromAbroad
 * @property string PL_StandardDeliveryFromAbroad
 * @property string PL_ExpressDeliveryFromAbroad
 * @property string PL_TrackedDeliveryFromAbroad
 * @property string FreightShipping
 * @property string FreightOtherShipping
 * @property string Freight
 * @property string FreightShippingInternational
 * @property string USPSGround
 * @property string ShippingMethodOvernight
 * @property string CustomCode
 * @property string USPSPriorityFlatRateEnvelope
 * @property string USPSPriorityFlatRateBox
 * @property string USPSGlobalPrioritySmallEnvelope
 * @property string USPSGlobalPriorityLargeEnvelope
 * @property string USPSExpressFlatRateEnvelope
 * @property string UPSWorldWideExpressBox10kg
 * @property string UPSWorldWideExpressBox25kg
 * @property string UPSWorldWideExpressPlusBox10kg
 * @property string UPSWorldWideExpressPlusBox25kg
 * @property string HK_LocalPickUpOnly
 * @property string HK_LocalCourier
 * @property string HK_DomesticRegularShipping
 * @property string HK_DomesticSpecialShipping
 * @property string HK_InternationalRegularShipping
 * @property string HK_InternationalSpecialShipping
 * @property string SG_LocalPickUpOnly
 * @property string SG_LocalCourier
 * @property string SG_DomesticStandardMail
 * @property string SG_DomesticNonStandardMail
 * @property string SG_DomesticSpeedpostIslandwide
 * @property string SG_InternationalStandardMail
 * @property string SG_InternationalExpressMailService
 * @property string SG_InternationalCourier
 * @property string BENL_DePostZendingNONPRIOR
 * @property string BENL_DePostZendingPRIOR
 * @property string BENL_DePostZendingAangetekend
 * @property string BENL_KilopostPakje
 * @property string BENL_Taxipost
 * @property string BENL_KialaAfhaalpunt
 * @property string BENL_VasteKostenStandaardVerzending
 * @property string BENL_VasteKostenVersneldeVerzending
 * @property string BENL_VerzekerdeVerzending
 * @property string BEFR_LaPosteEnvoiNONPRIOR
 * @property string BEFR_LaPosteEnvoiPRIOR
 * @property string BEFR_LaPosteEnvoiRecommande
 * @property string BEFR_PaquetKilopost
 * @property string BEFR_Taxipost
 * @property string BEFR_PointRetraitKiala
 * @property string BEFR_LivraisonStandardPrixforFaitaire
 * @property string BEFR_LivraisonExpressPrixforFaitaire
 * @property string BEFR_LivraisonSecurise
 * @property string BENL_DePostZendingPRIORInternational
 * @property string BENL_DePostZendingNONPRIORInternational
 * @property string BENL_DePostZendingAangetekendInternational
 * @property string BENL_KilopostPakjeInternational
 * @property string BENL_TaxipostExpressverzending
 * @property string BENL_VerzekerdeVerzendingInternational
 * @property string BEFR_LaPosteenvoiePRIOR
 * @property string BEFR_LaPosteenvoieNONPRIOR
 * @property string BEFR_LaPosteenvoieRecommande
 * @property string BEFR_PaquetKilopostInternationale
 * @property string BEFR_ExpressTaxipost
 * @property string BEFR_LivraisonStandardInternationalePrixforFaitaire
 * @property string BEFR_LivraisonExpressInternationalePrixforFaitaire
 * @property string BEFR_LivraisonSecuriseInternational
 * @property string FR_Chronopost
 * @property string UK_RoyalMailSpecialDeliveryNextDay
 * @property string CA_PostLightPacketInternational
 * @property string CA_PostLightPacketUSA
 * @property string PL_DHLInternational
 * @property string PL_InternationalRegular
 * @property string PL_InternationalSpecial
 * @property string PL_UPSInternational
 * @property string CAFR_StandardDelivery
 * @property string CAFR_ExpeditedDelivery
 * @property string CAFR_PostLettermail
 * @property string CAFR_PostRegularParcel
 * @property string CAFR_PostExpeditedParcel
 * @property string CAFR_PostXpresspost
 * @property string CAFR_PostPriorityCourier
 * @property string CAFR_StandardInternational
 * @property string CAFR_ExpeditedInternational
 * @property string CAFR_OtherInternational
 * @property string CAFR_PostExpeditedParcelUSA
 * @property string CAFR_PostSmallPacketsUSA
 * @property string CAFR_PostXpresspostUSA
 * @property string CAFR_PostXpresspostInternational
 * @property string CAFR_PostInternationalParcelSurface
 * @property string CAFR_PostInternationalParcelAir
 * @property string CAFR_SmallPacketsInternational
 * @property string CAFR_PurolatorInternational
 * @property string CAFR_PostSmallPacketsUSAGround
 * @property string CAFR_PostSmallPacketsUSAAir
 * @property string CAFR_SmallPacketsInternationalGround
 * @property string CAFR_SmallPacketsInternationalAir
 * @property string CAFR_PostUSALetterPost
 * @property string CAFR_PostInternationalLetterPost
 * @property string CAFR_UPSExpressCanada
 * @property string CAFR_UPSExpressSaverCanada
 * @property string CAFR_UPSExpeditedCanada
 * @property string CAFR_UPSStandardCanada
 * @property string CAFR_UPSExpressUnitedStates
 * @property string CAFR_UPSExpeditedUnitedStates
 * @property string CAFR_UPS3DaySelectUnitedStates
 * @property string CAFR_UPSStandardUnitedStates
 * @property string CAFR_UPSWorldWideExpress
 * @property string CAFR_UPSWorldWideExpedited
 * @property string UK_RoyalMailSpecialDelivery9am
 * @property string USPSFirstClassMailInternational
 * @property string USPSPriorityMailInternational
 * @property string USPSExpressMailInternational
 * @property string CH_StandardInternational
 * @property string CH_ExpeditedInternational
 * @property string CH_SonstigerVersandSieheArtikelbeschreibung
 * @property string TW_StandardInternationalFixedRate
 * @property string TW_ExpeditedInternationalFixedRate
 * @property string USPSGlobalExpressGuaranteed
 * @property string AU_RegularWithInsurance
 * @property string AU_ExpressWithInsurance
 * @property string DE_DeutschePostWarensendungInternational
 * @property string DE_DeutschePostByendung
 * @property string DE_HermesPaketUnversichertInternational
 * @property string DE_HermesPaketVersichertInternational
 * @property string DE_iLoxxTransportXXLInternational
 * @property string DE_iLoxxUbernachtExpressInternational
 * @property string DE_iLoxxStandardInternational
 * @property string DE_StandardInternational
 * @property string DE_ExpeditedInternational
 * @property string DE_DeutschePostBriefIntlEcon
 * @property string DE_DeutschePostBriefIntlPri
 * @property string AT_BitteTreffenSieEineAuswahl
 * @property string AT_EinschreibenVersandInklEinschreibengebuhr
 * @property string AT_NachnahmeVersandInklNachnahmegebuhr
 * @property string AT_ExpressOrCourierInternational
 * @property string AT_InsuredExpressOrCourierInternational
 * @property string AT_SpecialDispatchInternational
 * @property string AT_InsuredSpecialDispatchInternational
 * @property string AT_StandardInternational
 * @property string AT_ExpeditedInternational
 * @property string AT_OtherInternationalShipping
 * @property string CH_BitteTreffenSieEineAuswahl
 * @property string CH_UnversicherterVersand
 * @property string CH_VersicherterVersand
 * @property string CH_EinschreibenVersandInklEinschreibengebuhr
 * @property string CH_NachnahmeVersandInklNachnahmegebuhr
 * @property string CH_ExpressOrCourierInternational
 * @property string CH_InsuredExpressOrCourierInternational
 * @property string CH_SonderversandZBSperrgutKFZ
 * @property string CH_VersicherterSonderversandZBSperrgutKFZ
 * @property string CH_StandardversandAPostPriority
 * @property string CH_StandardversandBPostEconomy
 * @property string DE_BitteTreffenSieEineAuswahl
 * @property string DE_EinschreibenVersandInklEinschreibengebuhr
 * @property string DE_NachnahmeVersandInklNachnahmegebuhr
 * @property string DE_ExpressOrCourierInternational
 * @property string DE_InsuredExpressOrCourierInternational
 * @property string DE_SonderversandZBMobelKFZ
 * @property string DE_VersicherterSonderversandZBMobelKFZ
 * @property string DE_DeutschePostBriefInternational
 * @property string IE_StandardInternationalFlatRatePostage
 * @property string IE_ExpeditedInternationalFlatRatePostage
 * @property string IE_OtherInternationalPostage
 * @property string UK_StandardInternationalFlatRatePostage
 * @property string UK_ExpeditedInternationalFlatRatePostage
 * @property string UK_OtherInternationalPostage
 * @property string FR_ChronopostChronoRelais
 * @property string FR_Chrono10
 * @property string FR_Chrono13
 * @property string FR_Chrono18
 * @property string FR_ChronopostExpressInternational
 * @property string Pickup
 * @property string Delivery
 * @property string CA_Pickup
 * @property string DE_Pickup
 * @property string AU_Pickup
 * @property string AU_SmallParcels
 * @property string AU_SmallParcelWithTracking
 * @property string AU_SmallParcelWithTrackingAndSignature
 * @property string AU_RegularParcelWithTracking
 * @property string AU_RegularParcelWithTrackingAndSignature
 * @property string AU_PrePaidExpressPostSatchel5kg
 * @property string AU_PrePaidParcelPostSatchels500g
 * @property string AU_PrePaidParcelPostSatchels3kg
 * @property string AU_PrePaidParcelPostSatchels5kg
 * @property string AU_PrePaidExpressPostSatchel500g
 * @property string AU_PrePaidExpressPostSatchel3kg
 * @property string AU_PrePaidExpressPostPlatinum500g
 * @property string AU_PrePaidExpressPostPlatinum3kg
 * @property string AU_ExpressCourierInternational
 * @property string AU_ExpressPostInternational
 * @property string AU_PrePaidExpressPostInternationalEnvelopeC5
 * @property string AU_PrePaidExpressPostInternationalEnvelopeB4
 * @property string AU_PrePaidExpressPostInternationalSatchels2kg
 * @property string AU_PrePaidExpressPostInternationalSatchels3kg
 * @property string AU_PrePaidExpressPostInternationalBox5kg
 * @property string AU_PrePaidExpressPostInternationalBox10kg
 * @property string AU_PrePaidExpressPostInternationalBox20kg
 * @property string AU_RegisteredParcelPost
 * @property string AU_RegisteredSmallParcel
 * @property string AU_RegisteredParcelPostPrepaidSatchel500g
 * @property string AU_RegisteredParcelPostPrepaidSatchel3kg
 * @property string AU_RegisteredParcelPostPrepaidSatchel5kg
 * @property string AU_ExpressPostSatchel500g
 * @property string AU_ExpressPostSatchel3kg
 * @property string FR_Pickup
 * @property string AT_Pickup
 * @property string BENL_Pickup
 * @property string BEFR_Pickup
 * @property string CH_Pickup
 * @property string IT_Pickup
 * @property string NL_Pickup
 * @property string PL_Pickup
 * @property string ES_Pickup
 * @property string SG_Delivery
 * @property string UK_OtherCourier24
 * @property string UK_OtherCourier48
 * @property string UK_OtherCourier3Days
 * @property string UK_OtherCourier5Days
 * @property string Courier
 * @property string FedExPriorityOvernight
 * @property string FedExStandardOvernight
 * @property string FedEx2Day
 * @property string FedExGround
 * @property string FedExHomeDelivery
 * @property string FedExExpressSaver
 * @property string FedExGroundDisabled
 * @property string FedExHomeDeliveryDisabled
 * @property string FedExInternationalFirst
 * @property string FedExInternationalPriority
 * @property string FedExInternationalEconomy
 * @property string FedExInternationalGround
 * @property string EconomyShippingFromOutsideUS
 * @property string ExpeditedShippingFromOutsideUS
 * @property string StandardShippingFromOutsideUS
 * @property string UK_EconomyShippingFromOutside
 * @property string UK_ExpeditedShippingFromOutside
 * @property string UK_StandardShippingFromOutside
 * @property string DE_SparversandAusDemAusland
 * @property string DE_StandardversandAusDemAusland
 * @property string DE_ExpressversandAusDemAusland
 * @property string DE_DHL2KGPaket
 * @property string InternationalPriorityShipping
 * @property string SameDayShipping
 * @property string UK_RoyalMailNextDay
 * @property string UK_RoyalMailTracked
 */
class ShippingServiceCodeType extends EbatNs_FacetType
{
	const CodeType_UPSGround = 'UPSGround';
	const CodeType_UPS3rdDay = 'UPS3rdDay';
	const CodeType_UPS2ndDay = 'UPS2ndDay';
	const CodeType_UPSNextDay = 'UPSNextDay';
	const CodeType_USPSPriority = 'USPSPriority';
	const CodeType_USPSParcel = 'USPSParcel';
	const CodeType_USPSStandardPost = 'USPSStandardPost';
	const CodeType_USPSMedia = 'USPSMedia';
	const CodeType_USPSFirstClass = 'USPSFirstClass';
	const CodeType_ShippingMethodStandard = 'ShippingMethodStandard';
	const CodeType_ShippingMethodExpress = 'ShippingMethodExpress';
	const CodeType_USPSExpressMail = 'USPSExpressMail';
	const CodeType_UPSNextDayAir = 'UPSNextDayAir';
	const CodeType_UPS2DayAirAM = 'UPS2DayAirAM';
	const CodeType_USPSExpressMailFlatRateEnvelope = 'USPSExpressMailFlatRateEnvelope';
	const CodeType_USPSExpressMailPaddedFlatRateEnvelope = 'USPSExpressMailPaddedFlatRateEnvelope';
	const CodeType_USPSPriorityMailFlatRateEnvelope = 'USPSPriorityMailFlatRateEnvelope';
	const CodeType_USPSPriorityMailSmallFlatRateBox = 'USPSPriorityMailSmallFlatRateBox';
	const CodeType_USPSPriorityMailFlatRateBox = 'USPSPriorityMailFlatRateBox';
	const CodeType_USPSPriorityMailLargeFlatRateBox = 'USPSPriorityMailLargeFlatRateBox';
	const CodeType_USPSPriorityMailPaddedFlatRateEnvelope = 'USPSPriorityMailPaddedFlatRateEnvelope';
	const CodeType_USPSPriorityMailLegalFlatRateEnvelope = 'USPSPriorityMailLegalFlatRateEnvelope';
	const CodeType_USPSExpressMailLegalFlatRateEnvelope = 'USPSExpressMailLegalFlatRateEnvelope';
	const CodeType_USPSPriorityMailRegionalBoxA = 'USPSPriorityMailRegionalBoxA';
	const CodeType_USPSPriorityMailRegionalBoxB = 'USPSPriorityMailRegionalBoxB';
	const CodeType_USPSPriorityMailRegionalBoxC = 'USPSPriorityMailRegionalBoxC';
	const CodeType_USPSExpressMailFlatRateBox = 'USPSExpressMailFlatRateBox';
	const CodeType_Other = 'Other';
	const CodeType_LocalDelivery = 'LocalDelivery';
	const CodeType_NotSelected = 'NotSelected';
	const CodeType_InternationalNotSelected = 'InternationalNotSelected';
	const CodeType_StandardInternational = 'StandardInternational';
	const CodeType_ExpeditedInternational = 'ExpeditedInternational';
	const CodeType_USPSGlobalExpress = 'USPSGlobalExpress';
	const CodeType_USPSGlobalPriority = 'USPSGlobalPriority';
	const CodeType_USPSEconomyParcel = 'USPSEconomyParcel';
	const CodeType_USPSEconomyLetter = 'USPSEconomyLetter';
	const CodeType_USPSAirmailLetter = 'USPSAirmailLetter';
	const CodeType_USPSAirmailParcel = 'USPSAirmailParcel';
	const CodeType_UPSWorldWideExpressPlus = 'UPSWorldWideExpressPlus';
	const CodeType_UPSWorldWideExpress = 'UPSWorldWideExpress';
	const CodeType_UPSWorldWideExpedited = 'UPSWorldWideExpedited';
	const CodeType_UPSWorldwideSaver = 'UPSWorldwideSaver';
	const CodeType_UPSStandardToCanada = 'UPSStandardToCanada';
	const CodeType_USPSExpressMailInternationalFlatRateEnvelope = 'USPSExpressMailInternationalFlatRateEnvelope';
	const CodeType_USPSExpressMailInternationalPaddedFlatRateEnvelope = 'USPSExpressMailInternationalPaddedFlatRateEnvelope';
	const CodeType_USPSPriorityMailInternationalFlatRateEnvelope = 'USPSPriorityMailInternationalFlatRateEnvelope';
	const CodeType_USPSPriorityMailInternationalSmallFlatRateBox = 'USPSPriorityMailInternationalSmallFlatRateBox';
	const CodeType_USPSPriorityMailInternationalFlatRateBox = 'USPSPriorityMailInternationalFlatRateBox';
	const CodeType_USPSPriorityMailInternationalLargeFlatRateBox = 'USPSPriorityMailInternationalLargeFlatRateBox';
	const CodeType_USPSPriorityMailInternationalPaddedFlatRateEnvelope = 'USPSPriorityMailInternationalPaddedFlatRateEnvelope';
	const CodeType_USPSPriorityMailInternationalLegalFlatRateEnvelope = 'USPSPriorityMailInternationalLegalFlatRateEnvelope';
	const CodeType_USPSExpressMailInternationalLegalFlatRateEnvelope = 'USPSExpressMailInternationalLegalFlatRateEnvelope';
	const CodeType_USPSExpressMailInternationalFlatRateBox = 'USPSExpressMailInternationalFlatRateBox';
	const CodeType_OtherInternational = 'OtherInternational';
	const CodeType_AT_StandardDispatch = 'AT_StandardDispatch';
	const CodeType_AT_InsuredDispatch = 'AT_InsuredDispatch';
	const CodeType_AT_Writing = 'AT_Writing';
	const CodeType_AT_COD = 'AT_COD';
	const CodeType_AT_ExpressOrCourier = 'AT_ExpressOrCourier';
	const CodeType_AT_InsuredExpressOrCourier = 'AT_InsuredExpressOrCourier';
	const CodeType_AT_SpecialDispatch = 'AT_SpecialDispatch';
	const CodeType_AT_InsuredSpecialDispatch = 'AT_InsuredSpecialDispatch';
	const CodeType_AT_Sonstige = 'AT_Sonstige';
	const CodeType_AT_UnversicherterVersandInternational = 'AT_UnversicherterVersandInternational';
	const CodeType_AT_VersicherterVersandInternational = 'AT_VersicherterVersandInternational';
	const CodeType_AT_SonstigerVersandInternational = 'AT_SonstigerVersandInternational';
	const CodeType_AT_UnversicherterExpressVersandInternational = 'AT_UnversicherterExpressVersandInternational';
	const CodeType_AT_VersicherterExpressVersandInternational = 'AT_VersicherterExpressVersandInternational';
	const CodeType_AT_EconomyDeliveryFromAbroad = 'AT_EconomyDeliveryFromAbroad';
	const CodeType_AT_StandardDeliveryFromAbroad = 'AT_StandardDeliveryFromAbroad';
	const CodeType_AT_ExpressDeliveryFromAbroad = 'AT_ExpressDeliveryFromAbroad';
	const CodeType_AT_TrackedDeliveryFromAbroad = 'AT_TrackedDeliveryFromAbroad';
	const CodeType_AU_Regular = 'AU_Regular';
	const CodeType_AU_Express = 'AU_Express';
	const CodeType_AU_Registered = 'AU_Registered';
	const CodeType_AU_Courier = 'AU_Courier';
	const CodeType_AU_Other = 'AU_Other';
	const CodeType_AU_EMSInternationalCourierParcels = 'AU_EMSInternationalCourierParcels';
	const CodeType_AU_EMSInternationalCourierDocuments = 'AU_EMSInternationalCourierDocuments';
	const CodeType_AU_ExpressPostInternationalDocuments = 'AU_ExpressPostInternationalDocuments';
	const CodeType_AU_AirMailInternational = 'AU_AirMailInternational';
	const CodeType_AU_EconomyAirInternational = 'AU_EconomyAirInternational';
	const CodeType_AU_SeaMailInternational = 'AU_SeaMailInternational';
	const CodeType_AU_StandardInternational = 'AU_StandardInternational';
	const CodeType_AU_ExpeditedInternational = 'AU_ExpeditedInternational';
	const CodeType_AU_OtherInternational = 'AU_OtherInternational';
	const CodeType_AU_AusPostRegisteredPostInternationalPaddedBag1kg = 'AU_AusPostRegisteredPostInternationalPaddedBag1kg';
	const CodeType_AU_AusPostRegisteredPostInternationalPaddedBag500g = 'AU_AusPostRegisteredPostInternationalPaddedBag500g';
	const CodeType_AU_AusPostRegisteredPostInternationalParcel = 'AU_AusPostRegisteredPostInternationalParcel';
	const CodeType_AU_ExpeditedDeliveryFromOutsideAU = 'AU_ExpeditedDeliveryFromOutsideAU';
	const CodeType_AU_EconomyDeliveryFromOutsideAU = 'AU_EconomyDeliveryFromOutsideAU';
	const CodeType_AU_StandardDeliveryFromOutsideAU = 'AU_StandardDeliveryFromOutsideAU';
	const CodeType_AU_AustralianAirExpressMetro15kg = 'AU_AustralianAirExpressMetro15kg';
	const CodeType_AU_AustralianAirExpressFlatRate5kg = 'AU_AustralianAirExpressFlatRate5kg';
	const CodeType_AU_AustralianAirExpressFlatRate3kg = 'AU_AustralianAirExpressFlatRate3kg';
	const CodeType_AU_AustralianAirExpressFlatRate1kg = 'AU_AustralianAirExpressFlatRate1kg';
	const CodeType_AU_ExpressDelivery = 'AU_ExpressDelivery';
	const CodeType_AU_StandardDelivery = 'AU_StandardDelivery';
	const CodeType_AU_eBayAusPost3kgFlatRateSatchel = 'AU_eBayAusPost3kgFlatRateSatchel';
	const CodeType_AU_eBayAusPost500gFlatRateSatchel = 'AU_eBayAusPost500gFlatRateSatchel';
	const CodeType_AU_Freight = 'AU_Freight';
	const CodeType_BEFR_StandardDelivery = 'BEFR_StandardDelivery';
	const CodeType_BEFR_PriorityDelivery = 'BEFR_PriorityDelivery';
	const CodeType_BEFR_ParcelPost = 'BEFR_ParcelPost';
	const CodeType_BEFR_RegisteredMail = 'BEFR_RegisteredMail';
	const CodeType_BEFR_Other = 'BEFR_Other';
	const CodeType_BEFR_DePostInternational = 'BEFR_DePostInternational';
	const CodeType_BEFR_UPSInternational = 'BEFR_UPSInternational';
	const CodeType_BEFR_FedExInternational = 'BEFR_FedExInternational';
	const CodeType_BEFR_DHLInternational = 'BEFR_DHLInternational';
	const CodeType_BEFR_TPGPostTNTInternational = 'BEFR_TPGPostTNTInternational';
	const CodeType_BEFR_StandardInternational = 'BEFR_StandardInternational';
	const CodeType_BEFR_ExpeditedInternational = 'BEFR_ExpeditedInternational';
	const CodeType_BEFR_OtherInternational = 'BEFR_OtherInternational';
	const CodeType_BEFR_LaPosteInternational = 'BEFR_LaPosteInternational';
	const CodeType_BEFR_LaPosteStandardShipping = 'BEFR_LaPosteStandardShipping';
	const CodeType_BEFR_LaPosteCertifiedShipping = 'BEFR_LaPosteCertifiedShipping';
	const CodeType_BEFR_LaPosteTaxipostLLS = 'BEFR_LaPosteTaxipostLLS';
	const CodeType_BEFR_LaPosteTaxipost24h = 'BEFR_LaPosteTaxipost24h';
	const CodeType_BEFR_LaPosteTaxipostSecur = 'BEFR_LaPosteTaxipostSecur';
	const CodeType_BEFR_PostInternationalStandard = 'BEFR_PostInternationalStandard';
	const CodeType_BEFR_PostInternationalRegistered = 'BEFR_PostInternationalRegistered';
	const CodeType_BEFR_TNTInternational = 'BEFR_TNTInternational';
	const CodeType_BEFR_EconomyDeliveryFromAbroad = 'BEFR_EconomyDeliveryFromAbroad';
	const CodeType_BEFR_StandardDeliveryFromAbroad = 'BEFR_StandardDeliveryFromAbroad';
	const CodeType_BEFR_ExpressDeliveryFromAbroad = 'BEFR_ExpressDeliveryFromAbroad';
	const CodeType_BEFR_TrackedDeliveryFromAbroad = 'BEFR_TrackedDeliveryFromAbroad';
	const CodeType_BENL_StandardDelivery = 'BENL_StandardDelivery';
	const CodeType_BENL_PriorityDelivery = 'BENL_PriorityDelivery';
	const CodeType_BENL_ParcelPost = 'BENL_ParcelPost';
	const CodeType_BENL_RegisteredMail = 'BENL_RegisteredMail';
	const CodeType_BENL_Other = 'BENL_Other';
	const CodeType_BENL_DePostInternational = 'BENL_DePostInternational';
	const CodeType_BENL_UPSInternational = 'BENL_UPSInternational';
	const CodeType_BENL_FedExInternational = 'BENL_FedExInternational';
	const CodeType_BENL_DHLInternational = 'BENL_DHLInternational';
	const CodeType_BENL_TPGPostTNTInternational = 'BENL_TPGPostTNTInternational';
	const CodeType_BENL_StandardInternational = 'BENL_StandardInternational';
	const CodeType_BENL_ExpeditedInternational = 'BENL_ExpeditedInternational';
	const CodeType_BENL_OtherInternational = 'BENL_OtherInternational';
	const CodeType_BENL_LaPosteInternational = 'BENL_LaPosteInternational';
	const CodeType_BENL_DePostStandardShipping = 'BENL_DePostStandardShipping';
	const CodeType_BENL_DePostCertifiedShipping = 'BENL_DePostCertifiedShipping';
	const CodeType_BENL_DePostTaxipostLLS = 'BENL_DePostTaxipostLLS';
	const CodeType_BENL_DePostTaxipost24h = 'BENL_DePostTaxipost24h';
	const CodeType_BENL_DePostTaxipostSecur = 'BENL_DePostTaxipostSecur';
	const CodeType_BENL_OtherShippingMethods = 'BENL_OtherShippingMethods';
	const CodeType_BENL_PostInternationalStandard = 'BENL_PostInternationalStandard';
	const CodeType_BENL_PostInternationalRegistered = 'BENL_PostInternationalRegistered';
	const CodeType_BENL_TNTInternational = 'BENL_TNTInternational';
	const CodeType_BENL_EconomyDeliveryFromAbroad = 'BENL_EconomyDeliveryFromAbroad';
	const CodeType_BENL_StandardDeliveryFromAbroad = 'BENL_StandardDeliveryFromAbroad';
	const CodeType_BENL_ExpressDeliveryFromAbroad = 'BENL_ExpressDeliveryFromAbroad';
	const CodeType_BENL_TrackedDeliveryFromAbroad = 'BENL_TrackedDeliveryFromAbroad';
	const CodeType_CA_StandardDelivery = 'CA_StandardDelivery';
	const CodeType_CA_ExpeditedDelivery = 'CA_ExpeditedDelivery';
	const CodeType_CA_PostLettermail = 'CA_PostLettermail';
	const CodeType_CA_PostRegularParcel = 'CA_PostRegularParcel';
	const CodeType_CA_PostExpeditedParcel = 'CA_PostExpeditedParcel';
	const CodeType_CA_PostXpresspost = 'CA_PostXpresspost';
	const CodeType_CA_PostPriorityCourier = 'CA_PostPriorityCourier';
	const CodeType_CanadaPostExpeditedFlatRateBox = 'CanadaPostExpeditedFlatRateBox';
	const CodeType_CA_PostExpeditedFlatRateBox = 'CA_PostExpeditedFlatRateBox';
	const CodeType_CA_StandardInternational = 'CA_StandardInternational';
	const CodeType_CA_ExpeditedInternational = 'CA_ExpeditedInternational';
	const CodeType_CA_OtherInternational = 'CA_OtherInternational';
	const CodeType_CA_PostExpeditedParcelUSA = 'CA_PostExpeditedParcelUSA';
	const CodeType_CA_PostSmallPacketsUSA = 'CA_PostSmallPacketsUSA';
	const CodeType_CA_PostXpresspostUSA = 'CA_PostXpresspostUSA';
	const CodeType_CA_PostXpresspostInternational = 'CA_PostXpresspostInternational';
	const CodeType_CA_PostInternationalParcelSurface = 'CA_PostInternationalParcelSurface';
	const CodeType_CA_PostInternationalParcelAir = 'CA_PostInternationalParcelAir';
	const CodeType_CA_SmallPacketsInternational = 'CA_SmallPacketsInternational';
	const CodeType_CA_PurolatorInternational = 'CA_PurolatorInternational';
	const CodeType_CA_PostSmallPacketsUSAGround = 'CA_PostSmallPacketsUSAGround';
	const CodeType_CA_PostSmallPacketsUSAAir = 'CA_PostSmallPacketsUSAAir';
	const CodeType_CA_SmallPacketsInternationalGround = 'CA_SmallPacketsInternationalGround';
	const CodeType_CA_SmallPacketsInternationalAir = 'CA_SmallPacketsInternationalAir';
	const CodeType_CA_PostUSALetterPost = 'CA_PostUSALetterPost';
	const CodeType_CA_PostInternationalLetterPost = 'CA_PostInternationalLetterPost';
	const CodeType_CA_PostExpeditedFlatRateBoxUSA = 'CA_PostExpeditedFlatRateBoxUSA';
	const CodeType_CA_UPSExpressCanada = 'CA_UPSExpressCanada';
	const CodeType_CA_UPSExpressSaverCanada = 'CA_UPSExpressSaverCanada';
	const CodeType_CA_UPSExpeditedCanada = 'CA_UPSExpeditedCanada';
	const CodeType_CA_UPSStandardCanada = 'CA_UPSStandardCanada';
	const CodeType_CA_UPSExpressUnitedStates = 'CA_UPSExpressUnitedStates';
	const CodeType_CA_UPSExpeditedUnitedStates = 'CA_UPSExpeditedUnitedStates';
	const CodeType_CA_UPS3DaySelectUnitedStates = 'CA_UPS3DaySelectUnitedStates';
	const CodeType_CA_UPSStandardUnitedStates = 'CA_UPSStandardUnitedStates';
	const CodeType_CA_UPSWorldWideExpress = 'CA_UPSWorldWideExpress';
	const CodeType_CA_UPSWorldWideExpedited = 'CA_UPSWorldWideExpedited';
	const CodeType_CA_PriorityWorldwide = 'CA_PriorityWorldwide';
	const CodeType_CanadaPostExpeditedFlatRateBoxUSA = 'CanadaPostExpeditedFlatRateBoxUSA';
	const CodeType_CA_PostTrackedPacketsUSA = 'CA_PostTrackedPacketsUSA';
	const CodeType_CA_PostTrackedPacketsInternational = 'CA_PostTrackedPacketsInternational';
	const CodeType_CA_Freight = 'CA_Freight';
	const CodeType_CH_StandardDispatchAPost = 'CH_StandardDispatchAPost';
	const CodeType_CH_StandardDispatchBPost = 'CH_StandardDispatchBPost';
	const CodeType_CH_InsuredDispatch = 'CH_InsuredDispatch';
	const CodeType_CH_Writing = 'CH_Writing';
	const CodeType_CH_COD = 'CH_COD';
	const CodeType_CH_ExpressOrCourier = 'CH_ExpressOrCourier';
	const CodeType_CH_InsuredExpressOrCourier = 'CH_InsuredExpressOrCourier';
	const CodeType_CH_SpecialDispatch = 'CH_SpecialDispatch';
	const CodeType_CH_InsuredSpecialDispatch = 'CH_InsuredSpecialDispatch';
	const CodeType_CH_Sonstige = 'CH_Sonstige';
	const CodeType_CH_SonstigerVersandInternational = 'CH_SonstigerVersandInternational';
	const CodeType_CH_EconomySendungenInternational = 'CH_EconomySendungenInternational';
	const CodeType_CH_PrioritySendungenInternational = 'CH_PrioritySendungenInternational';
	const CodeType_CH_UrgentSendungenInternational = 'CH_UrgentSendungenInternational';
	const CodeType_CH_EconomyDeliveryFromAbroad = 'CH_EconomyDeliveryFromAbroad';
	const CodeType_CH_StandardDeliveryFromAbroad = 'CH_StandardDeliveryFromAbroad';
	const CodeType_CH_ExpressDeliveryFromAbroad = 'CH_ExpressDeliveryFromAbroad';
	const CodeType_CH_TrackedDeliveryFromAbroad = 'CH_TrackedDeliveryFromAbroad';
	const CodeType_CN_PersonalDelivery = 'CN_PersonalDelivery';
	const CodeType_CN_RegularPackage = 'CN_RegularPackage';
	const CodeType_CN_DeliveryCompanyExpress = 'CN_DeliveryCompanyExpress';
	const CodeType_CN_PostOfficeExpress = 'CN_PostOfficeExpress';
	const CodeType_CN_Others = 'CN_Others';
	const CodeType_CN_FastPostOffice = 'CN_FastPostOffice';
	const CodeType_CN_ExpressDeliverySameCity = 'CN_ExpressDeliverySameCity';
	const CodeType_CN_ExpressDeliveryOtherCities = 'CN_ExpressDeliveryOtherCities';
	const CodeType_CN_StandardInternational = 'CN_StandardInternational';
	const CodeType_CN_ExpeditedInternational = 'CN_ExpeditedInternational';
	const CodeType_CN_OtherInternational = 'CN_OtherInternational';
	const CodeType_CN_CODInternational = 'CN_CODInternational';
	const CodeType_CN_StandardMailingInternational = 'CN_StandardMailingInternational';
	const CodeType_CN_RegularLogisticsInternational = 'CN_RegularLogisticsInternational';
	const CodeType_CN_EMSInternational = 'CN_EMSInternational';
	const CodeType_CN_OthersInternational = 'CN_OthersInternational';
	const CodeType_DE_StandardDispatch = 'DE_StandardDispatch';
	const CodeType_DE_InsuredDispatch = 'DE_InsuredDispatch';
	const CodeType_DE_Writing = 'DE_Writing';
	const CodeType_DE_COD = 'DE_COD';
	const CodeType_DE_ExpressOrCourier = 'DE_ExpressOrCourier';
	const CodeType_DE_InsuredExpressOrCourier = 'DE_InsuredExpressOrCourier';
	const CodeType_DE_SpecialDispatch = 'DE_SpecialDispatch';
	const CodeType_DE_InsuredSpecialDispatch = 'DE_InsuredSpecialDispatch';
	const CodeType_DE_UnversicherterVersand = 'DE_UnversicherterVersand';
	const CodeType_DE_DeutschePostBrief = 'DE_DeutschePostBrief';
	const CodeType_DE_eBayDHLPaket24x7 = 'DE_eBayDHLPaket24x7';
	const CodeType_DE_DHLPostpaket = 'DE_DHLPostpaket';
	const CodeType_DE_DHLPackchen = 'DE_DHLPackchen';
	const CodeType_DE_DeutschePostWarensendung = 'DE_DeutschePostWarensendung';
	const CodeType_DE_DeutschePostBuchersendung = 'DE_DeutschePostBuchersendung';
	const CodeType_DE_HermesPaketUnversichert = 'DE_HermesPaketUnversichert';
	const CodeType_DE_HermesPaketVersichert = 'DE_HermesPaketVersichert';
	const CodeType_DE_IloxxTransportXXL = 'DE_IloxxTransportXXL';
	const CodeType_DE_IloxxUbernachtExpress = 'DE_IloxxUbernachtExpress';
	const CodeType_DE_IloxxStandard = 'DE_IloxxStandard';
	const CodeType_DE_Sonstige = 'DE_Sonstige';
	const CodeType_DE_UnversicherterVersandInternational = 'DE_UnversicherterVersandInternational';
	const CodeType_DE_VersicherterVersandInternational = 'DE_VersicherterVersandInternational';
	const CodeType_DE_DHLPostpaketInternational = 'DE_DHLPostpaketInternational';
	const CodeType_DE_DHLPackchenInternational = 'DE_DHLPackchenInternational';
	const CodeType_DE_SonstigerVersandInternational = 'DE_SonstigerVersandInternational';
	const CodeType_DE_UnversicherterExpressVersandInternational = 'DE_UnversicherterExpressVersandInternational';
	const CodeType_DE_VersicherterExpressVersandInternational = 'DE_VersicherterExpressVersandInternational';
	const CodeType_DE_DeutschePostBriefLandInternational = 'DE_DeutschePostBriefLandInternational';
	const CodeType_DE_DeutschePostBriefLuftInternational = 'DE_DeutschePostBriefLuftInternational';
	const CodeType_DE_IloxxEuropaInternational = 'DE_IloxxEuropaInternational';
	const CodeType_DE_IloxxWorldWideInternational = 'DE_IloxxWorldWideInternational';
	const CodeType_DE_Paket = 'DE_Paket';
	const CodeType_DE_Express = 'DE_Express';
	const CodeType_DE_DHLPaket = 'DE_DHLPaket';
	const CodeType_DE_DPBuecherWarensendung = 'DE_DPBuecherWarensendung';
	const CodeType_DE_HermesPaket = 'DE_HermesPaket';
	const CodeType_DE_IloxxTransport = 'DE_IloxxTransport';
	const CodeType_DE_SonstigeDomestic = 'DE_SonstigeDomestic';
	const CodeType_DE_Einschreiben = 'DE_Einschreiben';
	const CodeType_DE_Nachname = 'DE_Nachname';
	const CodeType_DE_SpecialDelivery = 'DE_SpecialDelivery';
	const CodeType_DE_UPS = 'DE_UPS';
	const CodeType_DE_DPD = 'DE_DPD';
	const CodeType_DE_GLS = 'DE_GLS';
	const CodeType_DE_PaketInternational = 'DE_PaketInternational';
	const CodeType_DE_DHLPaketInternational = 'DE_DHLPaketInternational';
	const CodeType_DE_DHLPaketIntlExpress = 'DE_DHLPaketIntlExpress';
	const CodeType_DE_SonstigeInternational = 'DE_SonstigeInternational';
	const CodeType_DE_ExpressInternational = 'DE_ExpressInternational';
	const CodeType_DE_DPBriefInternational = 'DE_DPBriefInternational';
	const CodeType_DE_IloxxTransportInternational = 'DE_IloxxTransportInternational';
	const CodeType_DE_HermesPaketInternational = 'DE_HermesPaketInternational';
	const CodeType_DE_UPSInternational = 'DE_UPSInternational';
	const CodeType_DE_DPDInternational = 'DE_DPDInternational';
	const CodeType_DE_GLSInternational = 'DE_GLSInternational';
	const CodeType_DE_eBayHermesPaketShop2ShopKaeufer = 'DE_eBayHermesPaketShop2ShopKaeufer';
	const CodeType_DE_HermesPaketShop2ShopKaeufer = 'DE_HermesPaketShop2ShopKaeufer';
	const CodeType_DE_eBayHermesPaketShop2Shop = 'DE_eBayHermesPaketShop2Shop';
	const CodeType_DE_HermesPaketShop2Shop = 'DE_HermesPaketShop2Shop';
	const CodeType_DE_HermesPaketSperrgut = 'DE_HermesPaketSperrgut';
	const CodeType_DE_eBayHermesPaketSperrgutShop2Shop = 'DE_eBayHermesPaketSperrgutShop2Shop';
	const CodeType_DE_DHLPaeckchenPackstation = 'DE_DHLPaeckchenPackstation';
	const CodeType_DE_DHLPaketPackstation = 'DE_DHLPaketPackstation';
	const CodeType_DE_eBayDHLPaeckchen = 'DE_eBayDHLPaeckchen';
	const CodeType_DE_DHLStarPaeckchen = 'DE_DHLStarPaeckchen';
	const CodeType_DE_TrackedDeliveryFromAbroad = 'DE_TrackedDeliveryFromAbroad';
	const CodeType_ES_CartasNacionalesHasta20 = 'ES_CartasNacionalesHasta20';
	const CodeType_ES_CartasNacionalesDeMas20 = 'ES_CartasNacionalesDeMas20';
	const CodeType_ES_CartasInternacionalesHasta20 = 'ES_CartasInternacionalesHasta20';
	const CodeType_ES_CartasInternacionalesDeMas20 = 'ES_CartasInternacionalesDeMas20';
	const CodeType_ES_PaqueteAzulHasta2kg = 'ES_PaqueteAzulHasta2kg';
	const CodeType_ES_PaqueteAzulDeMas2kg = 'ES_PaqueteAzulDeMas2kg';
	const CodeType_ES_PaqueteInternacionalEconomico = 'ES_PaqueteInternacionalEconomico';
	const CodeType_ES_Urgente = 'ES_Urgente';
	const CodeType_ES_Otros = 'ES_Otros';
	const CodeType_ES_StandardInternational = 'ES_StandardInternational';
	const CodeType_ES_ExpeditedInternational = 'ES_ExpeditedInternational';
	const CodeType_ES_OtherInternational = 'ES_OtherInternational';
	const CodeType_ES_CartasPostalInternational = 'ES_CartasPostalInternational';
	const CodeType_ES_EmsPostalExpressInternational = 'ES_EmsPostalExpressInternational';
	const CodeType_ES_EconomyPacketInternational = 'ES_EconomyPacketInternational';
	const CodeType_ES_EconomyDeliveryFromAbroad = 'ES_EconomyDeliveryFromAbroad';
	const CodeType_ES_StandardDeliveryFromAbroad = 'ES_StandardDeliveryFromAbroad';
	const CodeType_ES_ExpressDeliveryFromAbroad = 'ES_ExpressDeliveryFromAbroad';
	const CodeType_ES_TrackedDeliveryFromAbroad = 'ES_TrackedDeliveryFromAbroad';
	const CodeType_ES_ENTREGA_KIALA_8KG = 'ES_ENTREGA_KIALA_8KG';
	const CodeType_FR_ChronoposteInternationalClassic = 'FR_ChronoposteInternationalClassic';
	const CodeType_FR_ColiposteColissimoDirect = 'FR_ColiposteColissimoDirect';
	const CodeType_FR_DHLExpressEuropack = 'FR_DHLExpressEuropack';
	const CodeType_FR_UPSStandard = 'FR_UPSStandard';
	const CodeType_FR_PostOfficeLetter = 'FR_PostOfficeLetter';
	const CodeType_FR_PostOfficeLetterFollowed = 'FR_PostOfficeLetterFollowed';
	const CodeType_FR_PostOfficeLetterRecommended = 'FR_PostOfficeLetterRecommended';
	const CodeType_FR_ColiposteColissimo = 'FR_ColiposteColissimo';
	const CodeType_FR_ColiposteColissimoRecommended = 'FR_ColiposteColissimoRecommended';
	const CodeType_FR_UPSStandardAgainstRefund = 'FR_UPSStandardAgainstRefund';
	const CodeType_FR_Autre = 'FR_Autre';
	const CodeType_FR_Ecopli = 'FR_Ecopli';
	const CodeType_FR_Colieco = 'FR_Colieco';
	const CodeType_FR_AuteModeDenvoiDeColis = 'FR_AuteModeDenvoiDeColis';
	const CodeType_FR_RemiseEnMainPropre = 'FR_RemiseEnMainPropre';
	const CodeType_FR_StandardInternational = 'FR_StandardInternational';
	const CodeType_FR_ExpeditedInternational = 'FR_ExpeditedInternational';
	const CodeType_FR_OtherInternational = 'FR_OtherInternational';
	const CodeType_FR_LaPosteInternationalPriorityCourier = 'FR_LaPosteInternationalPriorityCourier';
	const CodeType_FR_LaPosteInternationalEconomyCourier = 'FR_LaPosteInternationalEconomyCourier';
	const CodeType_FR_LaPosteColissimoInternational = 'FR_LaPosteColissimoInternational';
	const CodeType_FR_LaPosteColisEconomiqueInternational = 'FR_LaPosteColisEconomiqueInternational';
	const CodeType_FR_LaPosteColissimoEmballageInternational = 'FR_LaPosteColissimoEmballageInternational';
	const CodeType_FR_ChronopostClassicInternational = 'FR_ChronopostClassicInternational';
	const CodeType_FR_ChronopostPremiumInternational = 'FR_ChronopostPremiumInternational';
	const CodeType_FR_UPSStandardInternational = 'FR_UPSStandardInternational';
	const CodeType_FR_UPSExpressInternational = 'FR_UPSExpressInternational';
	const CodeType_FR_DHLInternational = 'FR_DHLInternational';
	const CodeType_FR_LaPosteLetterMax = 'FR_LaPosteLetterMax';
	const CodeType_FR_KIALA_DELIVERY = 'FR_KIALA_DELIVERY';
	const CodeType_FR_TrackedDeliveryFromAbroad = 'FR_TrackedDeliveryFromAbroad';
	const CodeType_IN_Regular = 'IN_Regular';
	const CodeType_IN_Express = 'IN_Express';
	const CodeType_IN_NationalCOD = 'IN_NationalCOD';
	const CodeType_IN_Courier = 'IN_Courier';
	const CodeType_IN_LocalCOD = 'IN_LocalCOD';
	const CodeType_IN_StandardInternational = 'IN_StandardInternational';
	const CodeType_IN_ExpeditedInternational = 'IN_ExpeditedInternational';
	const CodeType_IN_OtherInternational = 'IN_OtherInternational';
	const CodeType_IN_FlatRateCOD = 'IN_FlatRateCOD';
	const CodeType_IN_BuyerPicksUpAndPays = 'IN_BuyerPicksUpAndPays';
	const CodeType_IT_RegularMail = 'IT_RegularMail';
	const CodeType_IT_PriorityMail = 'IT_PriorityMail';
	const CodeType_IT_MailRegisteredLetter = 'IT_MailRegisteredLetter';
	const CodeType_IT_MailRegisteredLetterWithMark = 'IT_MailRegisteredLetterWithMark';
	const CodeType_IT_InsuredMail = 'IT_InsuredMail';
	const CodeType_IT_QuickMail = 'IT_QuickMail';
	const CodeType_IT_RegularPackage = 'IT_RegularPackage';
	const CodeType_IT_QuickPackage1 = 'IT_QuickPackage1';
	const CodeType_IT_QuickPackage3 = 'IT_QuickPackage3';
	const CodeType_IT_ExpressCourier = 'IT_ExpressCourier';
	const CodeType_IT_ExpressPackageMaxi = 'IT_ExpressPackageMaxi';
	const CodeType_IT_StandardInternational = 'IT_StandardInternational';
	const CodeType_IT_ExpeditedInternational = 'IT_ExpeditedInternational';
	const CodeType_IT_OtherInternational = 'IT_OtherInternational';
	const CodeType_IT_TrackedDeliveryFromAbroad = 'IT_TrackedDeliveryFromAbroad';
	const CodeType_NL_StandardDelivery = 'NL_StandardDelivery';
	const CodeType_NL_ParcelPost = 'NL_ParcelPost';
	const CodeType_NL_RegisteredMail = 'NL_RegisteredMail';
	const CodeType_NL_Other = 'NL_Other';
	const CodeType_NL_TPGPostTNTInternational = 'NL_TPGPostTNTInternational';
	const CodeType_NL_UPSInternational = 'NL_UPSInternational';
	const CodeType_NL_FedExInternational = 'NL_FedExInternational';
	const CodeType_NL_DHLInternational = 'NL_DHLInternational';
	const CodeType_NL_DPDGBRInternational = 'NL_DPDGBRInternational';
	const CodeType_NL_GLSBusinessInternational = 'NL_GLSBusinessInternational';
	const CodeType_NL_StandardInternational = 'NL_StandardInternational';
	const CodeType_NL_ExpeditedInternational = 'NL_ExpeditedInternational';
	const CodeType_NL_OtherInternational = 'NL_OtherInternational';
	const CodeType_NL_EconomyDeliveryFromAbroad = 'NL_EconomyDeliveryFromAbroad';
	const CodeType_NL_StandardDeliveryFromAbroad = 'NL_StandardDeliveryFromAbroad';
	const CodeType_NL_ExpressDeliveryFromAbroad = 'NL_ExpressDeliveryFromAbroad';
	const CodeType_NL_TrackedDeliveryFromAbroad = 'NL_TrackedDeliveryFromAbroad';
	const CodeType_TW_RegisteredMail = 'TW_RegisteredMail';
	const CodeType_TW_UnregisteredMail = 'TW_UnregisteredMail';
	const CodeType_TW_COD = 'TW_COD';
	const CodeType_TW_DwellingMatchPost = 'TW_DwellingMatchPost';
	const CodeType_TW_DwellingMatchCOD = 'TW_DwellingMatchCOD';
	const CodeType_TW_SelfPickup = 'TW_SelfPickup';
	const CodeType_TW_ParcelPost = 'TW_ParcelPost';
	const CodeType_TW_ExpressMail = 'TW_ExpressMail';
	const CodeType_TW_Other = 'TW_Other';
	const CodeType_TW_CPInternationalLetterPost = 'TW_CPInternationalLetterPost';
	const CodeType_TW_CPInternationalParcelPost = 'TW_CPInternationalParcelPost';
	const CodeType_TW_CPInternationalRegisteredLetterPost = 'TW_CPInternationalRegisteredLetterPost';
	const CodeType_TW_CPInternationalRegisteredParcelPost = 'TW_CPInternationalRegisteredParcelPost';
	const CodeType_TW_CPInternationalEMS = 'TW_CPInternationalEMS';
	const CodeType_TW_CPInternationalOceanShippingParcel = 'TW_CPInternationalOceanShippingParcel';
	const CodeType_TW_FedExInternationalPriority = 'TW_FedExInternationalPriority';
	const CodeType_TW_FedExInternationalEconomy = 'TW_FedExInternationalEconomy';
	const CodeType_TW_UPSWorldwideExpedited = 'TW_UPSWorldwideExpedited';
	const CodeType_TW_UPSWorldwideExpress = 'TW_UPSWorldwideExpress';
	const CodeType_TW_UPSWorldwideExpressPlus = 'TW_UPSWorldwideExpressPlus';
	const CodeType_TW_OtherInternational = 'TW_OtherInternational';
	const CodeType_UK_RoyalMailFirstClassStandard = 'UK_RoyalMailFirstClassStandard';
	const CodeType_UK_RoyalMailSecondClassStandard = 'UK_RoyalMailSecondClassStandard';
	const CodeType_UK_RoyalMailFirstClassRecorded = 'UK_RoyalMailFirstClassRecorded';
	const CodeType_UK_RoyalMailSecondClassRecorded = 'UK_RoyalMailSecondClassRecorded';
	const CodeType_UK_RoyalMailSpecialDelivery = 'UK_RoyalMailSpecialDelivery';
	const CodeType_UK_RoyalMailStandardParcel = 'UK_RoyalMailStandardParcel';
	const CodeType_UK_Parcelforce24 = 'UK_Parcelforce24';
	const CodeType_UK_Parcelforce48 = 'UK_Parcelforce48';
	const CodeType_UK_OtherCourier = 'UK_OtherCourier';
	const CodeType_UK_myHermesDoorToDoorService = 'UK_myHermesDoorToDoorService';
	const CodeType_UK_CollectDropAtStoreDeliveryToDoor = 'UK_CollectDropAtStoreDeliveryToDoor';
	const CodeType_UK_SellersStandardRate = 'UK_SellersStandardRate';
	const CodeType_UK_CollectInPerson = 'UK_CollectInPerson';
	const CodeType_UK_SellersStandardInternationalRate = 'UK_SellersStandardInternationalRate';
	const CodeType_UK_RoyalMailAirmailInternational = 'UK_RoyalMailAirmailInternational';
	const CodeType_UK_RoyalMailAirsureInternational = 'UK_RoyalMailAirsureInternational';
	const CodeType_UK_RoyalMailSurfaceMailInternational = 'UK_RoyalMailSurfaceMailInternational';
	const CodeType_UK_RoyalMailInternationalSignedFor = 'UK_RoyalMailInternationalSignedFor';
	const CodeType_UK_RoyalMailHMForcesMailInternational = 'UK_RoyalMailHMForcesMailInternational';
	const CodeType_UK_ParcelForceInternationalDatapost = 'UK_ParcelForceInternationalDatapost';
	const CodeType_UK_ParcelForceIreland24International = 'UK_ParcelForceIreland24International';
	const CodeType_UK_ParcelForceEuro48International = 'UK_ParcelForceEuro48International';
	const CodeType_UK_ParcelForceInternationalScheduled = 'UK_ParcelForceInternationalScheduled';
	const CodeType_UK_OtherCourierOrDeliveryInternational = 'UK_OtherCourierOrDeliveryInternational';
	const CodeType_UK_CollectInPersonInternational = 'UK_CollectInPersonInternational';
	const CodeType_UK_ParcelForceIntlExpress = 'UK_ParcelForceIntlExpress';
	const CodeType_UK_ParcelForceIntlValue = 'UK_ParcelForceIntlValue';
	const CodeType_UK_ParcelForceIntlEconomy = 'UK_ParcelForceIntlEconomy';
	const CodeType_UK_TrackedDeliveryFromAbroad = 'UK_TrackedDeliveryFromAbroad';
	const CodeType_UK_IntlTrackedPostage = 'UK_IntlTrackedPostage';
	const CodeType_IE_SellersStandardRate = 'IE_SellersStandardRate';
	const CodeType_IE_FirstClassLetterService = 'IE_FirstClassLetterService';
	const CodeType_IE_SwiftPostNational = 'IE_SwiftPostNational';
	const CodeType_IE_RegisteredPost = 'IE_RegisteredPost';
	const CodeType_IE_EMSSDSCourier = 'IE_EMSSDSCourier';
	const CodeType_IE_EconomySDSCourier = 'IE_EconomySDSCourier';
	const CodeType_IE_OtherCourier = 'IE_OtherCourier';
	const CodeType_IE_CollectionInPerson = 'IE_CollectionInPerson';
	const CodeType_IE_SellersStandardRateInternational = 'IE_SellersStandardRateInternational';
	const CodeType_IE_InternationalEconomyService = 'IE_InternationalEconomyService';
	const CodeType_IE_InternationalPriorityService = 'IE_InternationalPriorityService';
	const CodeType_IE_SwiftPostExpressInternational = 'IE_SwiftPostExpressInternational';
	const CodeType_IE_SwiftPostInternational = 'IE_SwiftPostInternational';
	const CodeType_IE_EMSSDSCourierInternational = 'IE_EMSSDSCourierInternational';
	const CodeType_IE_EconomySDSCourierInternational = 'IE_EconomySDSCourierInternational';
	const CodeType_IE_OtherCourierInternational = 'IE_OtherCourierInternational';
	const CodeType_IE_CollectionInPersonInternational = 'IE_CollectionInPersonInternational';
	const CodeType_IE_EconomyDeliveryFromAbroad = 'IE_EconomyDeliveryFromAbroad';
	const CodeType_IE_StandardDeliveryFromAbroad = 'IE_StandardDeliveryFromAbroad';
	const CodeType_IE_ExpressDeliveryFromAbroad = 'IE_ExpressDeliveryFromAbroad';
	const CodeType_IE_TrackedDeliveryFromAbroad = 'IE_TrackedDeliveryFromAbroad';
	const CodeType_PL_DomesticRegular = 'PL_DomesticRegular';
	const CodeType_PL_DomesticSpecial = 'PL_DomesticSpecial';
	const CodeType_PL_EconomyDeliveryFromAbroad = 'PL_EconomyDeliveryFromAbroad';
	const CodeType_PL_StandardDeliveryFromAbroad = 'PL_StandardDeliveryFromAbroad';
	const CodeType_PL_ExpressDeliveryFromAbroad = 'PL_ExpressDeliveryFromAbroad';
	const CodeType_PL_TrackedDeliveryFromAbroad = 'PL_TrackedDeliveryFromAbroad';
	const CodeType_FreightShipping = 'FreightShipping';
	const CodeType_FreightOtherShipping = 'FreightOtherShipping';
	const CodeType_Freight = 'Freight';
	const CodeType_FreightShippingInternational = 'FreightShippingInternational';
	const CodeType_USPSGround = 'USPSGround';
	const CodeType_ShippingMethodOvernight = 'ShippingMethodOvernight';
	const CodeType_CustomCode = 'CustomCode';
	const CodeType_USPSPriorityFlatRateEnvelope = 'USPSPriorityFlatRateEnvelope';
	const CodeType_USPSPriorityFlatRateBox = 'USPSPriorityFlatRateBox';
	const CodeType_USPSGlobalPrioritySmallEnvelope = 'USPSGlobalPrioritySmallEnvelope';
	const CodeType_USPSGlobalPriorityLargeEnvelope = 'USPSGlobalPriorityLargeEnvelope';
	const CodeType_USPSExpressFlatRateEnvelope = 'USPSExpressFlatRateEnvelope';
	const CodeType_UPSWorldWideExpressBox10kg = 'UPSWorldWideExpressBox10kg';
	const CodeType_UPSWorldWideExpressBox25kg = 'UPSWorldWideExpressBox25kg';
	const CodeType_UPSWorldWideExpressPlusBox10kg = 'UPSWorldWideExpressPlusBox10kg';
	const CodeType_UPSWorldWideExpressPlusBox25kg = 'UPSWorldWideExpressPlusBox25kg';
	const CodeType_HK_LocalPickUpOnly = 'HK_LocalPickUpOnly';
	const CodeType_HK_LocalCourier = 'HK_LocalCourier';
	const CodeType_HK_DomesticRegularShipping = 'HK_DomesticRegularShipping';
	const CodeType_HK_DomesticSpecialShipping = 'HK_DomesticSpecialShipping';
	const CodeType_HK_InternationalRegularShipping = 'HK_InternationalRegularShipping';
	const CodeType_HK_InternationalSpecialShipping = 'HK_InternationalSpecialShipping';
	const CodeType_SG_LocalPickUpOnly = 'SG_LocalPickUpOnly';
	const CodeType_SG_LocalCourier = 'SG_LocalCourier';
	const CodeType_SG_DomesticStandardMail = 'SG_DomesticStandardMail';
	const CodeType_SG_DomesticNonStandardMail = 'SG_DomesticNonStandardMail';
	const CodeType_SG_DomesticSpeedpostIslandwide = 'SG_DomesticSpeedpostIslandwide';
	const CodeType_SG_InternationalStandardMail = 'SG_InternationalStandardMail';
	const CodeType_SG_InternationalExpressMailService = 'SG_InternationalExpressMailService';
	const CodeType_SG_InternationalCourier = 'SG_InternationalCourier';
	const CodeType_BENL_DePostZendingNONPRIOR = 'BENL_DePostZendingNONPRIOR';
	const CodeType_BENL_DePostZendingPRIOR = 'BENL_DePostZendingPRIOR';
	const CodeType_BENL_DePostZendingAangetekend = 'BENL_DePostZendingAangetekend';
	const CodeType_BENL_KilopostPakje = 'BENL_KilopostPakje';
	const CodeType_BENL_Taxipost = 'BENL_Taxipost';
	const CodeType_BENL_KialaAfhaalpunt = 'BENL_KialaAfhaalpunt';
	const CodeType_BENL_VasteKostenStandaardVerzending = 'BENL_VasteKostenStandaardVerzending';
	const CodeType_BENL_VasteKostenVersneldeVerzending = 'BENL_VasteKostenVersneldeVerzending';
	const CodeType_BENL_VerzekerdeVerzending = 'BENL_VerzekerdeVerzending';
	const CodeType_BEFR_LaPosteEnvoiNONPRIOR = 'BEFR_LaPosteEnvoiNONPRIOR';
	const CodeType_BEFR_LaPosteEnvoiPRIOR = 'BEFR_LaPosteEnvoiPRIOR';
	const CodeType_BEFR_LaPosteEnvoiRecommande = 'BEFR_LaPosteEnvoiRecommande';
	const CodeType_BEFR_PaquetKilopost = 'BEFR_PaquetKilopost';
	const CodeType_BEFR_Taxipost = 'BEFR_Taxipost';
	const CodeType_BEFR_PointRetraitKiala = 'BEFR_PointRetraitKiala';
	const CodeType_BEFR_LivraisonStandardPrixforFaitaire = 'BEFR_LivraisonStandardPrixforFaitaire';
	const CodeType_BEFR_LivraisonExpressPrixforFaitaire = 'BEFR_LivraisonExpressPrixforFaitaire';
	const CodeType_BEFR_LivraisonSecurise = 'BEFR_LivraisonSecurise';
	const CodeType_BENL_DePostZendingPRIORInternational = 'BENL_DePostZendingPRIORInternational';
	const CodeType_BENL_DePostZendingNONPRIORInternational = 'BENL_DePostZendingNONPRIORInternational';
	const CodeType_BENL_DePostZendingAangetekendInternational = 'BENL_DePostZendingAangetekendInternational';
	const CodeType_BENL_KilopostPakjeInternational = 'BENL_KilopostPakjeInternational';
	const CodeType_BENL_TaxipostExpressverzending = 'BENL_TaxipostExpressverzending';
	const CodeType_BENL_VerzekerdeVerzendingInternational = 'BENL_VerzekerdeVerzendingInternational';
	const CodeType_BEFR_LaPosteenvoiePRIOR = 'BEFR_LaPosteenvoiePRIOR';
	const CodeType_BEFR_LaPosteenvoieNONPRIOR = 'BEFR_LaPosteenvoieNONPRIOR';
	const CodeType_BEFR_LaPosteenvoieRecommande = 'BEFR_LaPosteenvoieRecommande';
	const CodeType_BEFR_PaquetKilopostInternationale = 'BEFR_PaquetKilopostInternationale';
	const CodeType_BEFR_ExpressTaxipost = 'BEFR_ExpressTaxipost';
	const CodeType_BEFR_LivraisonStandardInternationalePrixforFaitaire = 'BEFR_LivraisonStandardInternationalePrixforFaitaire';
	const CodeType_BEFR_LivraisonExpressInternationalePrixforFaitaire = 'BEFR_LivraisonExpressInternationalePrixforFaitaire';
	const CodeType_BEFR_LivraisonSecuriseInternational = 'BEFR_LivraisonSecuriseInternational';
	const CodeType_FR_Chronopost = 'FR_Chronopost';
	const CodeType_UK_RoyalMailSpecialDeliveryNextDay = 'UK_RoyalMailSpecialDeliveryNextDay';
	const CodeType_CA_PostLightPacketInternational = 'CA_PostLightPacketInternational';
	const CodeType_CA_PostLightPacketUSA = 'CA_PostLightPacketUSA';
	const CodeType_PL_DHLInternational = 'PL_DHLInternational';
	const CodeType_PL_InternationalRegular = 'PL_InternationalRegular';
	const CodeType_PL_InternationalSpecial = 'PL_InternationalSpecial';
	const CodeType_PL_UPSInternational = 'PL_UPSInternational';
	const CodeType_CAFR_StandardDelivery = 'CAFR_StandardDelivery';
	const CodeType_CAFR_ExpeditedDelivery = 'CAFR_ExpeditedDelivery';
	const CodeType_CAFR_PostLettermail = 'CAFR_PostLettermail';
	const CodeType_CAFR_PostRegularParcel = 'CAFR_PostRegularParcel';
	const CodeType_CAFR_PostExpeditedParcel = 'CAFR_PostExpeditedParcel';
	const CodeType_CAFR_PostXpresspost = 'CAFR_PostXpresspost';
	const CodeType_CAFR_PostPriorityCourier = 'CAFR_PostPriorityCourier';
	const CodeType_CAFR_StandardInternational = 'CAFR_StandardInternational';
	const CodeType_CAFR_ExpeditedInternational = 'CAFR_ExpeditedInternational';
	const CodeType_CAFR_OtherInternational = 'CAFR_OtherInternational';
	const CodeType_CAFR_PostExpeditedParcelUSA = 'CAFR_PostExpeditedParcelUSA';
	const CodeType_CAFR_PostSmallPacketsUSA = 'CAFR_PostSmallPacketsUSA';
	const CodeType_CAFR_PostXpresspostUSA = 'CAFR_PostXpresspostUSA';
	const CodeType_CAFR_PostXpresspostInternational = 'CAFR_PostXpresspostInternational';
	const CodeType_CAFR_PostInternationalParcelSurface = 'CAFR_PostInternationalParcelSurface';
	const CodeType_CAFR_PostInternationalParcelAir = 'CAFR_PostInternationalParcelAir';
	const CodeType_CAFR_SmallPacketsInternational = 'CAFR_SmallPacketsInternational';
	const CodeType_CAFR_PurolatorInternational = 'CAFR_PurolatorInternational';
	const CodeType_CAFR_PostSmallPacketsUSAGround = 'CAFR_PostSmallPacketsUSAGround';
	const CodeType_CAFR_PostSmallPacketsUSAAir = 'CAFR_PostSmallPacketsUSAAir';
	const CodeType_CAFR_SmallPacketsInternationalGround = 'CAFR_SmallPacketsInternationalGround';
	const CodeType_CAFR_SmallPacketsInternationalAir = 'CAFR_SmallPacketsInternationalAir';
	const CodeType_CAFR_PostUSALetterPost = 'CAFR_PostUSALetterPost';
	const CodeType_CAFR_PostInternationalLetterPost = 'CAFR_PostInternationalLetterPost';
	const CodeType_CAFR_UPSExpressCanada = 'CAFR_UPSExpressCanada';
	const CodeType_CAFR_UPSExpressSaverCanada = 'CAFR_UPSExpressSaverCanada';
	const CodeType_CAFR_UPSExpeditedCanada = 'CAFR_UPSExpeditedCanada';
	const CodeType_CAFR_UPSStandardCanada = 'CAFR_UPSStandardCanada';
	const CodeType_CAFR_UPSExpressUnitedStates = 'CAFR_UPSExpressUnitedStates';
	const CodeType_CAFR_UPSExpeditedUnitedStates = 'CAFR_UPSExpeditedUnitedStates';
	const CodeType_CAFR_UPS3DaySelectUnitedStates = 'CAFR_UPS3DaySelectUnitedStates';
	const CodeType_CAFR_UPSStandardUnitedStates = 'CAFR_UPSStandardUnitedStates';
	const CodeType_CAFR_UPSWorldWideExpress = 'CAFR_UPSWorldWideExpress';
	const CodeType_CAFR_UPSWorldWideExpedited = 'CAFR_UPSWorldWideExpedited';
	const CodeType_UK_RoyalMailSpecialDelivery9am = 'UK_RoyalMailSpecialDelivery9am';
	const CodeType_USPSFirstClassMailInternational = 'USPSFirstClassMailInternational';
	const CodeType_USPSPriorityMailInternational = 'USPSPriorityMailInternational';
	const CodeType_USPSExpressMailInternational = 'USPSExpressMailInternational';
	const CodeType_CH_StandardInternational = 'CH_StandardInternational';
	const CodeType_CH_ExpeditedInternational = 'CH_ExpeditedInternational';
	const CodeType_CH_SonstigerVersandSieheArtikelbeschreibung = 'CH_SonstigerVersandSieheArtikelbeschreibung';
	const CodeType_TW_StandardInternationalFixedRate = 'TW_StandardInternationalFixedRate';
	const CodeType_TW_ExpeditedInternationalFixedRate = 'TW_ExpeditedInternationalFixedRate';
	const CodeType_USPSGlobalExpressGuaranteed = 'USPSGlobalExpressGuaranteed';
	const CodeType_AU_RegularWithInsurance = 'AU_RegularWithInsurance';
	const CodeType_AU_ExpressWithInsurance = 'AU_ExpressWithInsurance';
	const CodeType_DE_DeutschePostWarensendungInternational = 'DE_DeutschePostWarensendungInternational';
	const CodeType_DE_DeutschePostByendung = 'DE_DeutschePostByendung';
	const CodeType_DE_HermesPaketUnversichertInternational = 'DE_HermesPaketUnversichertInternational';
	const CodeType_DE_HermesPaketVersichertInternational = 'DE_HermesPaketVersichertInternational';
	const CodeType_DE_iLoxxTransportXXLInternational = 'DE_iLoxxTransportXXLInternational';
	const CodeType_DE_iLoxxUbernachtExpressInternational = 'DE_iLoxxUbernachtExpressInternational';
	const CodeType_DE_iLoxxStandardInternational = 'DE_iLoxxStandardInternational';
	const CodeType_DE_StandardInternational = 'DE_StandardInternational';
	const CodeType_DE_ExpeditedInternational = 'DE_ExpeditedInternational';
	const CodeType_DE_DeutschePostBriefIntlEcon = 'DE_DeutschePostBriefIntlEcon';
	const CodeType_DE_DeutschePostBriefIntlPri = 'DE_DeutschePostBriefIntlPri';
	const CodeType_AT_BitteTreffenSieEineAuswahl = 'AT_BitteTreffenSieEineAuswahl';
	const CodeType_AT_EinschreibenVersandInklEinschreibengebuhr = 'AT_EinschreibenVersandInklEinschreibengebuhr';
	const CodeType_AT_NachnahmeVersandInklNachnahmegebuhr = 'AT_NachnahmeVersandInklNachnahmegebuhr';
	const CodeType_AT_ExpressOrCourierInternational = 'AT_ExpressOrCourierInternational';
	const CodeType_AT_InsuredExpressOrCourierInternational = 'AT_InsuredExpressOrCourierInternational';
	const CodeType_AT_SpecialDispatchInternational = 'AT_SpecialDispatchInternational';
	const CodeType_AT_InsuredSpecialDispatchInternational = 'AT_InsuredSpecialDispatchInternational';
	const CodeType_AT_StandardInternational = 'AT_StandardInternational';
	const CodeType_AT_ExpeditedInternational = 'AT_ExpeditedInternational';
	const CodeType_AT_OtherInternationalShipping = 'AT_OtherInternationalShipping';
	const CodeType_CH_BitteTreffenSieEineAuswahl = 'CH_BitteTreffenSieEineAuswahl';
	const CodeType_CH_UnversicherterVersand = 'CH_UnversicherterVersand';
	const CodeType_CH_VersicherterVersand = 'CH_VersicherterVersand';
	const CodeType_CH_EinschreibenVersandInklEinschreibengebuhr = 'CH_EinschreibenVersandInklEinschreibengebuhr';
	const CodeType_CH_NachnahmeVersandInklNachnahmegebuhr = 'CH_NachnahmeVersandInklNachnahmegebuhr';
	const CodeType_CH_ExpressOrCourierInternational = 'CH_ExpressOrCourierInternational';
	const CodeType_CH_InsuredExpressOrCourierInternational = 'CH_InsuredExpressOrCourierInternational';
	const CodeType_CH_SonderversandZBSperrgutKFZ = 'CH_SonderversandZBSperrgutKFZ';
	const CodeType_CH_VersicherterSonderversandZBSperrgutKFZ = 'CH_VersicherterSonderversandZBSperrgutKFZ';
	const CodeType_CH_StandardversandAPostPriority = 'CH_StandardversandAPostPriority';
	const CodeType_CH_StandardversandBPostEconomy = 'CH_StandardversandBPostEconomy';
	const CodeType_DE_BitteTreffenSieEineAuswahl = 'DE_BitteTreffenSieEineAuswahl';
	const CodeType_DE_EinschreibenVersandInklEinschreibengebuhr = 'DE_EinschreibenVersandInklEinschreibengebuhr';
	const CodeType_DE_NachnahmeVersandInklNachnahmegebuhr = 'DE_NachnahmeVersandInklNachnahmegebuhr';
	const CodeType_DE_ExpressOrCourierInternational = 'DE_ExpressOrCourierInternational';
	const CodeType_DE_InsuredExpressOrCourierInternational = 'DE_InsuredExpressOrCourierInternational';
	const CodeType_DE_SonderversandZBMobelKFZ = 'DE_SonderversandZBMobelKFZ';
	const CodeType_DE_VersicherterSonderversandZBMobelKFZ = 'DE_VersicherterSonderversandZBMobelKFZ';
	const CodeType_DE_DeutschePostBriefInternational = 'DE_DeutschePostBriefInternational';
	const CodeType_IE_StandardInternationalFlatRatePostage = 'IE_StandardInternationalFlatRatePostage';
	const CodeType_IE_ExpeditedInternationalFlatRatePostage = 'IE_ExpeditedInternationalFlatRatePostage';
	const CodeType_IE_OtherInternationalPostage = 'IE_OtherInternationalPostage';
	const CodeType_UK_StandardInternationalFlatRatePostage = 'UK_StandardInternationalFlatRatePostage';
	const CodeType_UK_ExpeditedInternationalFlatRatePostage = 'UK_ExpeditedInternationalFlatRatePostage';
	const CodeType_UK_OtherInternationalPostage = 'UK_OtherInternationalPostage';
	const CodeType_FR_ChronopostChronoRelais = 'FR_ChronopostChronoRelais';
	const CodeType_FR_Chrono10 = 'FR_Chrono10';
	const CodeType_FR_Chrono13 = 'FR_Chrono13';
	const CodeType_FR_Chrono18 = 'FR_Chrono18';
	const CodeType_FR_ChronopostExpressInternational = 'FR_ChronopostExpressInternational';
	const CodeType_Pickup = 'Pickup';
	const CodeType_Delivery = 'Delivery';
	const CodeType_CA_Pickup = 'CA_Pickup';
	const CodeType_DE_Pickup = 'DE_Pickup';
	const CodeType_AU_Pickup = 'AU_Pickup';
	const CodeType_AU_SmallParcels = 'AU_SmallParcels';
	const CodeType_AU_SmallParcelWithTracking = 'AU_SmallParcelWithTracking';
	const CodeType_AU_SmallParcelWithTrackingAndSignature = 'AU_SmallParcelWithTrackingAndSignature';
	const CodeType_AU_RegularParcelWithTracking = 'AU_RegularParcelWithTracking';
	const CodeType_AU_RegularParcelWithTrackingAndSignature = 'AU_RegularParcelWithTrackingAndSignature';
	const CodeType_AU_PrePaidExpressPostSatchel5kg = 'AU_PrePaidExpressPostSatchel5kg';
	const CodeType_AU_PrePaidParcelPostSatchels500g = 'AU_PrePaidParcelPostSatchels500g';
	const CodeType_AU_PrePaidParcelPostSatchels3kg = 'AU_PrePaidParcelPostSatchels3kg';
	const CodeType_AU_PrePaidParcelPostSatchels5kg = 'AU_PrePaidParcelPostSatchels5kg';
	const CodeType_AU_PrePaidExpressPostSatchel500g = 'AU_PrePaidExpressPostSatchel500g';
	const CodeType_AU_PrePaidExpressPostSatchel3kg = 'AU_PrePaidExpressPostSatchel3kg';
	const CodeType_AU_PrePaidExpressPostPlatinum500g = 'AU_PrePaidExpressPostPlatinum500g';
	const CodeType_AU_PrePaidExpressPostPlatinum3kg = 'AU_PrePaidExpressPostPlatinum3kg';
	const CodeType_AU_ExpressCourierInternational = 'AU_ExpressCourierInternational';
	const CodeType_AU_ExpressPostInternational = 'AU_ExpressPostInternational';
	const CodeType_AU_PrePaidExpressPostInternationalEnvelopeC5 = 'AU_PrePaidExpressPostInternationalEnvelopeC5';
	const CodeType_AU_PrePaidExpressPostInternationalEnvelopeB4 = 'AU_PrePaidExpressPostInternationalEnvelopeB4';
	const CodeType_AU_PrePaidExpressPostInternationalSatchels2kg = 'AU_PrePaidExpressPostInternationalSatchels2kg';
	const CodeType_AU_PrePaidExpressPostInternationalSatchels3kg = 'AU_PrePaidExpressPostInternationalSatchels3kg';
	const CodeType_AU_PrePaidExpressPostInternationalBox5kg = 'AU_PrePaidExpressPostInternationalBox5kg';
	const CodeType_AU_PrePaidExpressPostInternationalBox10kg = 'AU_PrePaidExpressPostInternationalBox10kg';
	const CodeType_AU_PrePaidExpressPostInternationalBox20kg = 'AU_PrePaidExpressPostInternationalBox20kg';
	const CodeType_AU_RegisteredParcelPost = 'AU_RegisteredParcelPost';
	const CodeType_AU_RegisteredSmallParcel = 'AU_RegisteredSmallParcel';
	const CodeType_AU_RegisteredParcelPostPrepaidSatchel500g = 'AU_RegisteredParcelPostPrepaidSatchel500g';
	const CodeType_AU_RegisteredParcelPostPrepaidSatchel3kg = 'AU_RegisteredParcelPostPrepaidSatchel3kg';
	const CodeType_AU_RegisteredParcelPostPrepaidSatchel5kg = 'AU_RegisteredParcelPostPrepaidSatchel5kg';
	const CodeType_AU_ExpressPostSatchel500g = 'AU_ExpressPostSatchel500g';
	const CodeType_AU_ExpressPostSatchel3kg = 'AU_ExpressPostSatchel3kg';
	const CodeType_FR_Pickup = 'FR_Pickup';
	const CodeType_AT_Pickup = 'AT_Pickup';
	const CodeType_BENL_Pickup = 'BENL_Pickup';
	const CodeType_BEFR_Pickup = 'BEFR_Pickup';
	const CodeType_CH_Pickup = 'CH_Pickup';
	const CodeType_IT_Pickup = 'IT_Pickup';
	const CodeType_NL_Pickup = 'NL_Pickup';
	const CodeType_PL_Pickup = 'PL_Pickup';
	const CodeType_ES_Pickup = 'ES_Pickup';
	const CodeType_SG_Delivery = 'SG_Delivery';
	const CodeType_UK_OtherCourier24 = 'UK_OtherCourier24';
	const CodeType_UK_OtherCourier48 = 'UK_OtherCourier48';
	const CodeType_UK_OtherCourier3Days = 'UK_OtherCourier3Days';
	const CodeType_UK_OtherCourier5Days = 'UK_OtherCourier5Days';
	const CodeType_Courier = 'Courier';
	const CodeType_FedExPriorityOvernight = 'FedExPriorityOvernight';
	const CodeType_FedExStandardOvernight = 'FedExStandardOvernight';
	const CodeType_FedEx2Day = 'FedEx2Day';
	const CodeType_FedExGround = 'FedExGround';
	const CodeType_FedExHomeDelivery = 'FedExHomeDelivery';
	const CodeType_FedExExpressSaver = 'FedExExpressSaver';
	const CodeType_FedExGroundDisabled = 'FedExGroundDisabled';
	const CodeType_FedExHomeDeliveryDisabled = 'FedExHomeDeliveryDisabled';
	const CodeType_FedExInternationalFirst = 'FedExInternationalFirst';
	const CodeType_FedExInternationalPriority = 'FedExInternationalPriority';
	const CodeType_FedExInternationalEconomy = 'FedExInternationalEconomy';
	const CodeType_FedExInternationalGround = 'FedExInternationalGround';
	const CodeType_EconomyShippingFromOutsideUS = 'EconomyShippingFromOutsideUS';
	const CodeType_ExpeditedShippingFromOutsideUS = 'ExpeditedShippingFromOutsideUS';
	const CodeType_StandardShippingFromOutsideUS = 'StandardShippingFromOutsideUS';
	const CodeType_UK_EconomyShippingFromOutside = 'UK_EconomyShippingFromOutside';
	const CodeType_UK_ExpeditedShippingFromOutside = 'UK_ExpeditedShippingFromOutside';
	const CodeType_UK_StandardShippingFromOutside = 'UK_StandardShippingFromOutside';
	const CodeType_DE_SparversandAusDemAusland = 'DE_SparversandAusDemAusland';
	const CodeType_DE_StandardversandAusDemAusland = 'DE_StandardversandAusDemAusland';
	const CodeType_DE_ExpressversandAusDemAusland = 'DE_ExpressversandAusDemAusland';
	const CodeType_DE_DHL2KGPaket = 'DE_DHL2KGPaket';
	const CodeType_InternationalPriorityShipping = 'InternationalPriorityShipping';
	const CodeType_SameDayShipping = 'SameDayShipping';
	const CodeType_UK_RoyalMailNextDay = 'UK_RoyalMailNextDay';
	const CodeType_UK_RoyalMailTracked = 'UK_RoyalMailTracked';

	/**
	 * @return 
	 */
	function __construct()
	{
		parent::__construct('ShippingServiceCodeType', 'urn:ebay:apis:eBLBaseComponents');

	}
}

$Facet_ShippingServiceCodeType = new ShippingServiceCodeType();

?>
